package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 科室返回对象
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class DeptDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院科室编码")
    private String code;

    @ApiModelProperty(value = "科室名称")
    private String name;

    @ApiModelProperty(value = "类别")
    private String type;

    @ApiModelProperty(value = "首字母拼音")
    private String spell;

    @ApiModelProperty(value = "区域类别")
    private String station;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "创建用户编号")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;
    @ApiModelProperty(value = "关联标志位 1 关联")
    private String relation = "0";
}
