package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 系统服务对象
 * @Author songxl
 * @Date 2021/7/21
 */
@Data
public class GetDataAuthSoftwareDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "服务编号")
    private Long id;
    @ApiModelProperty(value = "服务名称")
    private String name;
    @ApiModelProperty(value = "数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义")
    private Integer dataType;
    @ApiModelProperty(value = "数据权限详情列表")
    private DataAuthDetailDTO dataAuthDetail;
    @ApiModelProperty(value = "角色列表")
    private List<GetDataAuthRoleDTO> roles;
}
