package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户组织机构树对象
 * </p>
 */
@Data
public class GetHospitalTreeDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long hospitalId;

    private Long parentId;
    @ApiModelProperty(value = "创建用户id")
    private Long creator;


    @ApiModelProperty(value = "名称")
    private String hospitalName;

    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院）")
    private String type;

    @ApiModelProperty(value = "该医院的科室列表")
    private List<GetDeptTreeDTO> depts;

    @ApiModelProperty(value = "该虚拟医院的医院列表")
    private List<GetHospitalTreeDTO> children;

    @ApiModelProperty(value = "是否关联")
    private String relation = "0";
}
