package com.lantone.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 菜单功能DTO
 * </p>
 */
@Data
@ApiModel(value = "MenuDTO对象", description = "菜单功能DTO")
public class GetMenuByIdDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "父级编号")
    private Long parentId;
    @ApiModelProperty(value = "资源权限编号")
    private Long resourceId;

    @ApiModelProperty(value = "服务id")
    private Long softwareId;
    @ApiModelProperty(value = "服务名称")
    private String softwareName;

    @ApiModelProperty(value = "功能名称")
    private String name;
    @ApiModelProperty(value = "父类功能名称")
    private String parentName;

    @ApiModelProperty(value = "类型：0:目录，1菜单，2按钮，3：功能")
    private String type;

    @ApiModelProperty(value = "权限标识")
    private String code;

    @ApiModelProperty(value = "资源权限")
    private String permission;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "描述")
    private String menuDescribe;


    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "子集")
    private List<GetMenuByIdDTO> children;



}
