package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 菜单功能DTO
 * </p>
 */
@Data
public class GetMenusTreeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "父级编号")
    private Long parentId;
    @ApiModelProperty(value = "资源权限编号")
    private Long resourceId;

    @ApiModelProperty(value = "功能名称")
    private String name;
    @ApiModelProperty(value = "状态名称")
    private String statusName;
    @ApiModelProperty(value = "类型：0:目录，1菜单，2按钮，3：功能")
    private String type;
    @ApiModelProperty(value = "类型名称：0:目录，1菜单，2按钮，3：功能")
    private String typeName;

    @ApiModelProperty(value = "权限标识")
    private String code;

    @ApiModelProperty(value = "资源权限")
    private String permission;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "子集")
    private List<GetMenusTreeDTO> children;



}
