package com.lantone.common.dto;

import com.lantone.common.vo.AddHospitalTreeVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户实体类
 * </p>
 */
@Data
public class GetUserDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;
    @ApiModelProperty(value = "医生id")
    private Long doctorId;

    @ApiModelProperty(value = "用户名" )
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "手机号")
    private String mobilePhone;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "职称编号")
    private String titleId;
    @ApiModelProperty(value = "职称名称")
    private String titleName;

    @ApiModelProperty(value = "工号")
    private Integer jobNo;

    @ApiModelProperty(value = "排序")
    private Integer orderNo;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "所属组织")
    private List<GetHospitalTreeDTO> hospitals;
    @ApiModelProperty(value = "用户角色列表")
    private List<UserRoleDTO> roles;

}