package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 用户组织对象
 * </p>
 */
@Data
public class HospitalDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    private Long parentId;

    @ApiModelProperty(value = "医院编码")
    private String orgCode;

    @ApiModelProperty(value = "父级编码")
    private String parentCode;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "归属区域")
    private String region;

    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院）")
    private String type;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "创建者编号")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;


    @ApiModelProperty(value = "用户在该组织下的角色列表")
    private List<RoleDTO> roles;
    @ApiModelProperty(value = "该医院的科室列表")
    private List<DeptDTO> depts;

    @ApiModelProperty(value = "该虚拟医院的医院列表")
    private List<HospitalDTO> hospitalDTOS;
    @ApiModelProperty(value = "关联标志位 1 关联")
    private String relation = "0";
}
