package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 病区表
 * </p>
 */
@Data
public class SysRegionDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院名称")
    @NotBlank
    private String hospitalName;

    @ApiModelProperty(value = "联系人")
    @NotBlank
    private String liaison;

    @ApiModelProperty(value = "手机号码")
    @NotBlank
    private String phoneNumber;

    @ApiModelProperty(value = "病区编码")
    private String code;

    @ApiModelProperty(value = "病区名称")
    @NotBlank
    private String name;

    @ApiModelProperty(value = "首字母拼音")
    private String spell;

    @ApiModelProperty(value = "区域类别")
    @NotBlank
    private String station;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "关联科室id")
    private List<Long> deptIds;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "0-否 1-是")
    private Integer status;

    @ApiModelProperty(value = "0-非禁用校验标识 1-禁用校验标识 2-禁用此病区")
    private Integer mark = 0;


}
