package com.lantone.common.dto.appeal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 申诉审核内容对象
 * @Author songxl
 */
@Data
public class GetAppealInfoDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "病人住院ID")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别（男，女）")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "住院科室ID")
    private String deptId;

    @ApiModelProperty(value = "住院科室名称")
    private String deptName;

    @ApiModelProperty(value = "入院时间")
    private Date behospitalDate;

    @ApiModelProperty(value = "出院时间")
    private Date leaveHospitalDate;

    @ApiModelProperty(value = "申诉id")
    private Long id;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "质控缺陷id")
    private Long qcresultDetailId;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "缺陷扣分分值")
    private BigDecimal qcresultDetaiValue;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "质控条目(新增已有操作才有值)")
    private String casesEntryName;

    @ApiModelProperty(value = "提示信息(新增已有操作才有值)")
    private String casesEntryMsg;

    @ApiModelProperty(value = "分值(新增已有操作才有值)")
    private BigDecimal value;

    @ApiModelProperty(value = "申诉模块id")
    private Long casesId;

    @ApiModelProperty(value = "模块名称")
    private String casesName;

    @ApiModelProperty(value = "病历内容")
    private String defectContent;

    @ApiModelProperty(value = "申诉人id")
    private Long claimantId;

    @ApiModelProperty(value = "申诉类型(0:医生申诉|1:质控申诉)")
    private String appealType;

    @ApiModelProperty(value = "申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）")
    private String appealOperationType;

    @ApiModelProperty(value = "申诉说明")
    private String appealExplain;

    @ApiModelProperty(value = "审核人id")
    private Long checkId;

    @ApiModelProperty(value = "申诉备注")
    private String appealRemark;

    @ApiModelProperty(value = "审核状态：0:驳回|1:通过")
    private String exampleStatus;

    @ApiModelProperty(value = "审核处理方式： 1:修改|2:删除|3:新增已有|4:新增缺失|5：恢复")
    private String exampleOperation;

    @ApiModelProperty(value = "处理结果")
    private String processResult;

    @ApiModelProperty(value = "驳回理由")
    private String rejectReason;

    @ApiModelProperty(value = "审核备注")
    private String exampleRemark;

    @ApiModelProperty(value = "申诉人姓名")
    private String claimantName;

    @ApiModelProperty(value = "审核人姓名")
    private String checkName;
}
