package com.lantone.common.dto.appeal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 审核
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetAuditDTO {
    @ApiModelProperty(value = "病案号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "科室")
    private String behDeptName;

    @ApiModelProperty(value = "主管医生")
    private String doctorName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty(value = "入院时间")
    private Date behospitalDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty(value = "出院时间")
    private Date leaveHospitalDate;

    @ApiModelProperty(value = "申诉模块")
    private String casesName;

    @ApiModelProperty(value = "质控缺陷ID")
    private Long qcresultDetailId;

    @ApiModelProperty(value = "病历内容")
    private String defectContent;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "缺陷扣分分值")
    private BigDecimal qcresultDetaiValue;

    @ApiModelProperty(value = "申述时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date gmtCreate;

    @ApiModelProperty(value = "申述人")
    private String claimantName;

    @ApiModelProperty(value = "审核人")
    private String checkName;

    @ApiModelProperty(value = "操作类型")
    private String appealOperationType;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "质控条目")
    private String casesEntryName;

    @ApiModelProperty(value = "提示信息")
    private String casesEntryMsg;

    @ApiModelProperty(value = "分值")
    private BigDecimal value;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "申诉说明")
    private String appealExplain;

}
