package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: DataAuthVO
 * @Description: 添加时数据权限对象
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
@Data
public class AddDataAuthVO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "数据权限名称", required = true)
    @NotBlank(message = ("数据权限名称为空"))
    private String name;

    @ApiModelProperty(value = "状态 0:禁用，1：启用", required = true)
    @NotBlank(message = ("数据权限状态为空"))
    private String status;

    @ApiModelProperty(value = "系统列表", required = true)
    @Valid
    @NotEmpty(message = "系统列表为空")
    private List<AddAuthSoftwareVO> softwareVOS;

}
