package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.List;

/**
 * @Description:添加通知对象
 * @Author songxl
 * @Date 2021/9/10
 */
@Data
public class AddNoticeVO {
    @ApiModelProperty(value = "通知标题",required = true)
    @NotBlank(message = "通知标题不能为空")
    private String title;
    @ApiModelProperty(value = "通知类型 0:公告，1:其他",required = true)
    @NotBlank(message = "通知类型不能为空")
    private String type;
    @ApiModelProperty(value = "接收者类型 0:所有人，1:自定义",required = true)
    @NotBlank(message = "接收者类型不能为空")
    private String receiveType;
    @ApiModelProperty(value = "通知内容",required = true)
    @NotBlank(message = "通知内容不能为空")
    private String content;
    @ApiModelProperty(value = "发送用户集合 组织id-用户id")
    private List<String> sendUsers;
    @ApiModelProperty(value = "发送科室集合")
    private List<Long> sendDepts;
    @ApiModelProperty(value = "发送医院集合")
    private List<Long> sendHospitals;
    @ApiModelProperty(value = "创建者", hidden = true)
    private Long creator;
    @ApiModelProperty(value = "创建者姓名", hidden = true)
    private String creatorName;
    @ApiModelProperty(value = "记录创建时间", hidden = true)
    private Date gmtCreate;
}
