package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class AddRoleVO  implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "角色名称" ,required = true)
    @NotBlank(message = "角色名称不能为空")
    private String name;

    @ApiModelProperty(value = "角色描述")
    private String remark;

    @ApiModelProperty(value = "状态 0:禁用，1：启用",required = true)
    @NotBlank(message = "启用禁用状态不能为空")
    private String status;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "医院id",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "创建用户id",hidden = true)
    private Long creator;

    @ApiModelProperty(value = "创建时间",hidden = true)
    private Date createTime;


    @ApiModelProperty(value = "系统服务对象")
    private List<AddRoleSoftwareVO> softwares;
}
