package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 数据权限详情
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class DataAuthDetailVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据权限编号",hidden = true)
    private Long serviceDataAuthId;

    @ApiModelProperty(value = "数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义" ,required = true)
    @NotNull(message = "数据范围类型为空")
    private Integer dataType;

    @ApiModelProperty(value = "detail_id的类型 1：detail_id为医院id 2：为科室id3：为医生id")
    private Integer detailType;

    @ApiModelProperty(value = "医院、科室、医生id 列表")
    private Long detailId;

}
