package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 角色系统功能菜单VO
 * </p>
 */
@Data
public class GetMenusTreeVo implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "角色id列表", required = true)
    @NotEmpty(message = "角色id列表为空")
    private List<Long> roles;
    @ApiModelProperty(value = "服务id", required = true)
    @NotNull(message = "服务id为空")
    private Long softwareId;
    @ApiModelProperty(value = "创建者id", hidden = true)
    private Long creator;

}
