package com.lantone.common.vo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * <p>
 * 系统字典表
 * </p>
 */
@Data
public class SaveDictionaryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "用户ID",hidden = true)
    private Long userId;

    @ApiModelProperty(value = "代码类别",required = true)
    @NotNull(message = "代码类别不能为空")
    private String groupType;

    @ApiModelProperty(value = "代码名称",required = true)
    @NotBlank(message = "代码名称不能为空")
    private String name;

    @ApiModelProperty(value = "字典编码",required = true)
    @NotBlank(message = "字典编码不能为空")
    private String val;

    @ApiModelProperty(value = "是否启用(0-否 1-是)",required = true)
    @NotBlank(message = "是否启用不能为空")
    private String status;

    @ApiModelProperty(value = "字典说明",required = true)
    @NotBlank(message = "字典说明不能为空")
    private String remark;


}
