package com.lantone.common.vo.analyze;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description:基本病历信息
 * @Author songxl
 * @Date 2021/9/18
 */
@Data
public class BehospitalInfoVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("病人住院ID")
    private String behospitalCode;

    @ApiModelProperty("医院ID")
    private Long hospitalId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别（男，女）")
    private String sex;

    @ApiModelProperty("出生日期")
    private Date birthday;

    @ApiModelProperty("档案号")
    private String fileCode;

    @ApiModelProperty("质控类型")
    private Long qcTypeId;

    @ApiModelProperty("病区编码")
    private String wardCode;

    @ApiModelProperty("病区名称")
    private String wardName;

    @ApiModelProperty("住院科室ID")
    private String behDeptId;

    @ApiModelProperty("住院科室名称")
    private String behDeptName;

    @ApiModelProperty("床位号")
    private String bedCode;

    @ApiModelProperty("床位名称")
    private String bedName;

    @ApiModelProperty("医保类别")
    private String insuranceName;

    @ApiModelProperty("职业")
    private String jobType;

    @ApiModelProperty("入院时间")
    private Date behospitalDate;

    @ApiModelProperty("出院时间")
    private Date leaveHospitalDate;

    @ApiModelProperty("转入时间")
    private Date transInTime;

    @ApiModelProperty("转出时间")
    private Date transOutTime;

    @ApiModelProperty("疾病ICD编码")
    private String diagnoseIcd;

    @ApiModelProperty("疾病名称")
    private String diagnose;

    @ApiModelProperty("主治医生ID")
    private String doctorId;

    @ApiModelProperty("主治医生姓名")
    private String doctorName;

    @ApiModelProperty("住院医生ID")
    private String behDoctorId;

    @ApiModelProperty("住院医生姓名")
    private String behDoctorName;

    @ApiModelProperty("主任医生ID")
    private String directorDoctorId;

    @ApiModelProperty("主任医生姓名")
    private String directorDoctorName;

    @ApiModelProperty("是否归档（0：未归档，1：已归档）")
    private String isPlacefile;

    @ApiModelProperty("归档时间")
    private Date placefileDate;

    @ApiModelProperty("R-住院登记I-病房接诊B-出院登记O-出院结算P-预约出院N-无费退院")
    private String inState;

    @ApiModelProperty("是否删除,N:未删除，Y:删除")
    private String isDeleted;

    @ApiModelProperty("记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty("记录修改时间,如果时间是1970年则表示纪录未修改")
    private Date gmtModified;

    @ApiModelProperty("创建人，0表示无创建人值")
    private String creator;

    @ApiModelProperty("修改人,如果为0则表示纪录未修改")
    private String modifier;
}
