package com.lantone.common.vo.report;

import com.lantone.common.vo.report.entity.BehospitalInfo;
import com.lantone.common.vo.report.entity.CrisisInfo;
import com.lantone.common.vo.report.entity.DoctorAdvice;
import com.lantone.common.vo.report.entity.HomeDiagnoseInfo;
import com.lantone.common.vo.report.entity.HomeOperationInfo;
import com.lantone.common.vo.report.entity.HomePage;
import com.lantone.common.vo.report.entity.MedicalRecord;
import com.lantone.common.vo.report.entity.MedicalRecordContent;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/14 9:53
 */
@Data
public class DataImportVO {
    // 医院ID
    @NotNull(message = "医院ID不能为空")
    private Long hospitalId;
    // 病历信息
    private List<BehospitalInfo> behospitalInfoList;
    // 危急值信息
    private List<CrisisInfo> medCrisisInfoList;
    // 病人医嘱
    private List<DoctorAdvice> doctorAdviceList;
    // 病案首页诊断
    private List<HomeDiagnoseInfo> homeDiagnoseInfoList;
    // 病案首页
    private List<HomePage> homePageList;
    // 病案首页手术信息
    private List<HomeOperationInfo> homeOperationInfoList;
    // 文书信息
    private List<MedicalRecord> medicalRecordList;
    // 文书明细信息
    private List<MedicalRecordContent> medicalRecordContentList;
}
