package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统异常日志表 实体类
 * </p>
 */
@Data
@TableName("sys_abnormal_log")
public class AbnormalLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 操作人用户ID
     */
    @TableField("operation_id")
    private Long operationId;

    /**
     * 操作人用户名
     */
    @TableField("operation_name")
    private String operationName;

    /**
     * 操作方法
     */
    @TableField("operation_method")
    private String operationMethod;

    /**
     * 操作请求方式
     */
    @TableField("operation_way")
    private String operationWay;

    /**
     * 操作url
     */
    @TableField("operation_url")
    private String operationUrl;

    /**
     * 操作参数
     */
    @TableField("operation_param")
    private String operationParam;

    /**
     * ip地址
     */
    @TableField("operation_ip")
    private Integer operationIp;

    /**
     * 代理信息
     */
    @TableField("operation_agent")
    private String operationAgent;

    /**
     * 操作异常信息
     */
    @TableField("operation_error_info")
    private String operationErrorInfo;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}