package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 核查表 实体类
 * </p>
 */
@Data
public class MedCheckInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 病人住院ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 核查人id
     */
    @TableField("check_id")
    private Long checkId;

    /**
     * 核查人
     */
    @TableField("check_name")
    private String checkName;

    /**
     * 核查时间
     */
    @TableField("check_time")
    private Date checkTime;

    /**
     * 核查状态（0未核查，1已核查）
     */
    @TableField("status")
    private Integer status;

    /**
     * 核查类型（0病历，1病案首页，2全部）
     */
    @TableField("check_type")
    private Integer checkType;

    /**
     * 核查任务创建人编号
     */
    @TableField("job_creator")
    private Long jobCreator;

    /**
     * 核查任务创建人
     */
    @TableField("job_creator_name")
    private String jobCreatorName;

    /**
     * 核查任务生成时间
     */
    @TableField("job_create_time")
    private Date jobCreateTime;

    /**
     * 核查任务类型（0-科室任务 1-质控科 2-院级）
     */
    @TableField("job_type")
    private Integer jobType;

    /**
     * 核查任务分配人编号
     */
    @TableField("job_distributor")
    private Long jobDistributor;

    /**
     * 核查任务分配人姓名
     */
    @TableField("job_distribution_name")
    private String jobDistributionName;

    /**
     * 核查任务分配时间
     */
    @TableField("job_distribution_time")
    private Date jobDistributionTime;

}