package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 危急值信息 实体类
 * </p>
 */
@Data
public class MedCrisisInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("rec_id")
    private String recId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 记录类型
     */
    @TableField("rec_type")
    private String recType;

    /**
     * 危急值ID
     */
    @TableField("crisis_id")
    private String crisisId;

    /**
     * 危急值名称
     */
    @TableField("crisis_name")
    private String crisisName;

    /**
     * 开单科室ID
     */
    @TableField("dept_id")
    private String deptId;

    /**
     * 开单科室名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 开单医生ID
     */
    @TableField("doctor_id")
    private String doctorId;

    /**
     * 开单医生姓名
     */
    @TableField("doctor_name")
    private String doctorName;

    /**
     * 危急结果值
     */
    @TableField("crisis_value")
    private String crisisValue;

    /**
     * 危急值描述
     */
    @TableField("crisis_desc")
    private String crisisDesc;

    /**
     * 危急值状态
     */
    @TableField("crisis_status")
    private String crisisStatus;

    /**
     * 参考上限
     */
    @TableField("crisis_top_value")
    private String crisisTopValue;

    /**
     * 参考下限
     */
    @TableField("crisis_lower_value")
    private String crisisLowerValue;

    /**
     * 送检时间
     */
    @TableField("send_date")
    private Date sendDate;

    /**
     * 报告时间
     */
    @TableField("rep_date")
    private Date repDate;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}