package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
public class MedLisInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    @TableId("rep_no")
    private String repNo;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private String hospitalId;

    /**
     * 住院病人ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 报告类型代码
     */
    @TableField("rep_type")
    private String repType;

    /**
     * 报告名称
     */
    @TableField("rep_name")
    private String repName;

    /**
     * 检查类型名称
     */
    @TableField("rep_type_name")
    private String repTypeName;

    /**
     * 标本名称
     */
    @TableField("slide_type")
    private String slideType;

    /**
     * 发布时间
     */
    @TableField("rep_date")
    private String repDate;

    /**
     * 报告检查时间
     */
    @TableField("check_date")
    private String checkDate;

    /**
     * 申请医生
     */
    @TableField("apply_doctor")
    private String applyDoctor;

    /**
     * 开单科室代码
     */
    @TableField("dept_id")
    private String deptId;

    /**
     * 开单科室名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 报告单状态
     */
    @TableField("register_flag")
    private String registerFlag;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}