package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
public class MedLisResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    @TableField("rep_no")
    private String repNo;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Integer hospitalId;

    /**
     * 住院病人ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 报告代码
     */
    @TableField("item_code")
    private String itemCode;

    /**
     * 报告名称
     */
    @TableField("item_name")
    private String itemName;

    /**
     * 检验结果
     */
    @TableField("result")
    private String result;

    /**
     * 参考值
     */
    @TableField("reference")
    private String reference;

    /**
     * 最小参考值
     */
    @TableField("reference_min")
    private String referenceMin;

    /**
     * 最大参考值
     */
    @TableField("reference_max")
    private String referenceMax;

    /**
     * 单位
     */
    @TableField("unit")
    private String unit;

    /**
     * 异常标志
     */
    @TableField("abnormal")
    private String abnormal;

    /**
     * 异常颜色
     */
    @TableField("color")
    private String color;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}