package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
public class MedPacsResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    @TableField("rep_no")
    private String repNo;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Integer hospitalId;

    /**
     * 住院病人ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 报告名称
     */
    @TableField("rept_name")
    private String reptName;

    /**
     * 检查部位
     */
    @TableField("part")
    private String part;

    /**
     * 检查所见
     */
    @TableField("clinic_sight")
    private String clinicSight;

    /**
     * 检查结果诊断
     */
    @TableField("rept_diag")
    private String reptDiag;

    /**
     * 观察记录
     */
    @TableField("remark")
    private String remark;

    /**
     * 临床诊断
     */
    @TableField("clinic_diag")
    private String clinicDiag;

    /**
     * 申请医生
     */
    @TableField("apply_doctor")
    private String applyDoctor;

    /**
     * 审核医生
     */
    @TableField("checker_doctor")
    private String checkerDoctor;

    /**
     * 报告医生
     */
    @TableField("report_doctor")
    private String reportDoctor;

    /**
     * 科室名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}