package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 质控评分主表信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y 实体类
 * </p>
 */
@Data
public class MedQcresultInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 等级
     */
    @TableField("level")
    private String level;

    /**
     * 页面数据
     */
    @TableField("page_data")
    private String pageData;

    /**
     * 菜单数据
     */
    @TableField("menu_data")
    private String menuData;

    /**
     * 评分类型(1：机器，2：人工)
     */
    @TableField("grade_type")
    private Integer gradeType;

    /**
     * 最后得分
     */
    @TableField("score_res")
    private BigDecimal scoreRes;

    /**
     * 是否有病案首页(0：无，1：有)
     */
    @TableField("have_home_page")
    private Integer haveHomePage;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}