package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 死亡记录 实体类
 * </p>
 */
@Data
public class StrDeathNote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    @TableId("rec_id")
    private String recId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 性别
     */
    @TableField("sex")
    private String sex;

    /**
     * 年龄
     */
    @TableField("age")
    private String age;

    /**
     * 床号
     */
    @TableField("bed_no")
    private String bedNo;

    /**
     * 科别
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 病历日期
     */
    @TableField("record_date")
    private Date recordDate;

    /**
     * 标题
     */
    @TableField("rec_title")
    private String recTitle;

    /**
     * 入院日期
     */
    @TableField("behospital_date")
    private Date behospitalDate;

    /**
     * 死亡日期
     */
    @TableField("death_date")
    private Date deathDate;

    /**
     * 入院情况
     */
    @TableField("behospital_situation")
    private String behospitalSituation;

    /**
     * 入院诊断
     */
    @TableField("tentative_diagnosis")
    private String tentativeDiagnosis;

    /**
     * 诊疗经过
     */
    @TableField("treatment_process")
    private String treatmentProcess;

    /**
     * 死亡原因
     */
    @TableField("death_reason")
    private String deathReason;

    /**
     * 死亡诊断
     */
    @TableField("death_diagnosis")
    private String deathDiagnosis;

    /**
     * 记录医生
     */
    @TableField("rec_doctor")
    private String recDoctor;

    /**
     * 记录时间
     */
    @TableField("rec_date")
    private Date recDate;

    /**
     * 审核医生
     */
    @TableField("audit_doctor")
    private String auditDoctor;

    /**
     * 审核时间
     */
    @TableField("audit_date")
    private Date auditDate;

    /**
     * 结构化数据
     */
    @TableField("whole_data")
    private String wholeData;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人
     */
    @TableField("modifier")
    private String modifier;

}