package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术后首程 实体类
 * </p>
 */
@Data
public class StrOperativeFirstRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    @TableField("rec_id")
    private String recId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 性别
     */
    @TableField("sex")
    private String sex;

    /**
     * 年龄
     */
    @TableField("age")
    private String age;

    /**
     * 床号
     */
    @TableField("bed_no")
    private String bedNo;

    /**
     * 科别
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 病历日期
     */
    @TableField("record_date")
    private Date recordDate;

    /**
     * 标题
     */
    @TableField("rec_title")
    private String recTitle;

    /**
     * 手术日期
     */
    @TableField("operation_date")
    private Date operationDate;

    /**
     * 开始时间
     */
    @TableField("start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    private Date endTime;

    /**
     * 麻醉方式
     */
    @TableField("narcosis_type")
    private String narcosisType;

    /**
     * 麻醉医师
     */
    @TableField("narcosis_doctor")
    private String narcosisDoctor;

    /**
     * 术前诊断
     */
    @TableField("preoperation_diagnosis")
    private String preoperationDiagnosis;

    /**
     * 术（中）后诊断
     */
    @TableField("postoperative_diagnosis")
    private String postoperativeDiagnosis;

    /**
     * 手术人员
     */
    @TableField("operation_man")
    private String operationMan;

    /**
     * 手术名称方式
     */
    @TableField("operation_name")
    private String operationName;

    /**
     * 手术简要经过
     */
    @TableField("operation_process")
    private String operationProcess;

    /**
     * 患者术后情况
     */
    @TableField("postoperative_situation")
    private String postoperativeSituation;

    /**
     * 术后处理措施
     */
    @TableField("postoperative_treatment")
    private String postoperativeTreatment;

    /**
     * 术后注意事项
     */
    @TableField("postoperative_notice")
    private String postoperativeNotice;

    /**
     * 术后可能出现的并发症及预防措施
     */
    @TableField("postoperative_complication")
    private String postoperativeComplication;

    /**
     * 手术切除标本
     */
    @TableField("operation_specimen")
    private String operationSpecimen;

    /**
     * 术中出血量
     */
    @TableField("operation_bleed")
    private String operationBleed;

    /**
     * 术中输血量
     */
    @TableField("operation_blood_transfusion")
    private String operationBloodTransfusion;

    /**
     * 术中并发症
     */
    @TableField("operation_complication")
    private String operationComplication;

    /**
     * 记录医生
     */
    @TableField("rec_doctor")
    private String recDoctor;

    /**
     * 记录时间
     */
    @TableField("rec_date")
    private Date recDate;

    /**
     * 审核医生
     */
    @TableField("audit_doctor")
    private String auditDoctor;

    /**
     * 审核时间
     */
    @TableField("audit_date")
    private Date auditDate;

    /**
     * 结构化数据
     */
    @TableField("whole_data")
    private String wholeData;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人
     */
    @TableField("modifier")
    private String modifier;

}