package com.lantone.dblayermbg.entity.analyze;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户页面设定表 实体类
 * </p>
 */
@Data
@TableName("sys_user_pageset")
public class UserPageset implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 系统用户表.用户ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 页面分组（值自定义）
     */
    @TableField("page_type")
    private Long pageType;

    /**
     * 列名
     */
    @TableField("name")
    private String name;

    /**
     * 列名值
     */
    @TableField("val")
    private String val;

    /**
     * 是否启用(0:停用，1：启用)
     */
    @TableField("status")
    private Integer status;

    /**
     * 排序号
     */
    @TableField("order_no")
    private Integer orderNo;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}