package com.lantone.dblayermbg.entity.appeal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 申诉记录表 实体类
 * </p>
 */
@Data
@TableName("med_appeal_info")
public class AppealInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 质控缺陷id
     */
    @TableField("qcresult_detail_id")
    private Long qcresultDetailId;

    /**
     * 缺陷详情
     */
    @TableField("qcresult_detail_msg")
    private String qcresultDetailMsg;

    /**
     * 缺陷扣分分值
     */
    @TableField("qcresult_detai_value")
    private BigDecimal qcresultDetaiValue;

    /**
     * 条目ID
     */
    @TableField("cases_entry_id")
    private Long casesEntryId;

    /**
     * 质控条目(新增已有操作才有值)
     */
    @TableField("cases_entry_name")
    private String casesEntryName;

    /**
     * 提示信息(新增已有操作才有值)
     */
    @TableField("cases_entry_msg")
    private String casesEntryMsg;

    /**
     * 分值(新增已有操作才有值)
     */
    @TableField("value")
    private BigDecimal value;

    /**
     * 模块数据标准id
     */
    @TableField("cases_id")
    private Long casesId;

    /**
     * 模块名称
     */
    @TableField("cases_name")
    private String casesName;

    /**
     * 病历内容
     */
    @TableField("defect_content")
    private String defectContent;

    /**
     * 申诉人id
     */
    @TableField("claimant_id")
    private Long claimantId;

    /**
     * 申诉类型(0:医生申诉|1:质控申诉)
     */
    @TableField("appeal_type")
    private String appealType;

    /**
     * 申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）
     */
    @TableField("appeal_operation_type")
    private String appealOperationType;

    /**
     * 申诉说明
     */
    @TableField("appeal_explain")
    private String appealExplain;

    /**
     * 审核人id
     */
    @TableField("check_id")
    private Long checkId;

    /**
     * 当前工作流节点id
     */
    @TableField("work_flow_node_id")
    private Long workFlowNodeId;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}