package com.lantone.dblayermbg.entity.appeal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 质控评分明细信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y 实体类
 * </p>
 */
@Data
@TableName("med_qcresult_detail")
public class QcresultDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 评分结果id
     */
    @TableField("qcresult_info_id")
    private Long qcresultInfoId;

    /**
     * 病人住院ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 模块id
     */
    @TableField("cases_id")
    private Long casesId;

    /**
     * 模块总分
     */
    @TableField("cases_score")
    private BigDecimal casesScore;

    /**
     * 条目ID
     */
    @TableField("cases_entry_id")
    private Long casesEntryId;

    /**
     * 人工修改分值
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 提示信息
     */
    @TableField("msg")
    private String msg;

    /**
     * 质控返回提示信息
     */
    @TableField("info")
    private String info;

    /**
     * 单项否决（1-单项否决 0-非）
     */
    @TableField("is_reject")
    private Integer isReject;

    /**
     * 初始类型(1：机器，2：人工)
     */
    @TableField("grade_type")
    private Integer gradeType;

    /**
     * 操作类型(1：新增，2：删除，3：修改)
     */
    @TableField("opt_type")
    private Integer optType;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 解释说明
     */
    @TableField("explain_info")
    private String explainInfo;

}