package com.lantone.dblayermbg.entity.appeal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 流程线表 实体类
 * </p>
 */
@Data
@TableName("med_work_flow_link")
public class WorkFlowLink implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程id
     */
    @TableField("work_flow_id")
    private Long workFlowId;

    /**
     * 工作流id
     */
    @TableField("work_flow_link_id")
    private Long workFlowLinkId;

    /**
     * 当前节点id
     */
    @TableField("work_link_now_node")
    private Long workLinkNowNode;

    /**
     * 流程条件（流程线分叉，下一结点判断条件）
     */
    @TableField("work_link_condition")
    private String workLinkCondition;

    /**
     * 下一节点id 0:表示结束
     */
    @TableField("work_link_next_node")
    private Long workLinkNextNode;

    /**
     * 流程线内容
     */
    @TableField("work_link_name")
    private String workLinkName;

    /**
     * 工作流状态
     */
    @TableField("work_link_status")
    private String workLinkStatus;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}