package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 入院记录 实体类
 * </p>
 */
@Data
@TableName("str_admission_note")
public class AdmissionNote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    @TableId("rec_id")
    private String recId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 性别
     */
    @TableField("sex")
    private String sex;

    /**
     * 年龄
     */
    @TableField("age")
    private String age;

    /**
     * 床号
     */
    @TableField("bed_no")
    private String bedNo;

    /**
     * 科别
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 病历日期
     */
    @TableField("record_date")
    private Date recordDate;

    /**
     * 标题
     */
    @TableField("rec_title")
    private String recTitle;

    /**
     * 出生日期
     */
    @TableField("birthday")
    private Date birthday;

    /**
     * 婚姻状况
     */
    @TableField("marriage")
    private String marriage;

    /**
     * 职业
     */
    @TableField("job_type")
    private String jobType;

    /**
     * 民族
     */
    @TableField("nation")
    private String nation;

    /**
     * 联系电话
     */
    @TableField("phone")
    private String phone;

    /**
     * 工作单位
     */
    @TableField("workplace")
    private String workplace;

    /**
     * 户口地址
     */
    @TableField("register_address")
    private String registerAddress;

    /**
     * 出生地
     */
    @TableField("born_address")
    private String bornAddress;

    /**
     * 预产期
     */
    @TableField("expect_date")
    private String expectDate;

    /**
     * 末次月经
     */
    @TableField("last_menstrual")
    private String lastMenstrual;

    /**
     * 孕/产次
     */
    @TableField("pregnant_num")
    private String pregnantNum;

    /**
     * 入院日期
     */
    @TableField("behospital_date")
    private Date behospitalDate;

    /**
     * 病史陈述者
     */
    @TableField("history_teller")
    private String historyTeller;

    /**
     * 主诉
     */
    @TableField("chief")
    private String chief;

    /**
     * 现病史
     */
    @TableField("present")
    private String present;

    /**
     * 既往史
     */
    @TableField("past_history")
    private String pastHistory;

    /**
     * 个人史
     */
    @TableField("personal_history")
    private String personalHistory;

    /**
     * 婚育史
     */
    @TableField("marital_history")
    private String maritalHistory;

    /**
     * 月经史
     */
    @TableField("menstrual_history")
    private String menstrualHistory;

    /**
     * 家族史
     */
    @TableField("family_history")
    private String familyHistory;

    /**
     * 喂养史
     */
    @TableField("feeding_history")
    private String feedingHistory;

    /**
     * 手术外伤史
     */
    @TableField("operation_history")
    private String operationHistory;

    /**
     * 输血史
     */
    @TableField("blood_history")
    private String bloodHistory;

    /**
     * 传染病史
     */
    @TableField("infection_history")
    private String infectionHistory;

    /**
     * 专科检查
     */
    @TableField("special_vital")
    private String specialVital;

    /**
     * 辅助检查
     */
    @TableField("assistant_exam")
    private String assistantExam;

    /**
     * 实验室检查
     */
    @TableField("lis_exam")
    private String lisExam;

    /**
     * 影像学检查
     */
    @TableField("pacs_exam")
    private String pacsExam;

    /**
     * 初步诊断
     */
    @TableField("tentative_diagnosis")
    private String tentativeDiagnosis;

    /**
     * 补充诊断
     */
    @TableField("supply_diagnosis")
    private String supplyDiagnosis;

    /**
     * 修正诊断
     */
    @TableField("revised_diagnosis")
    private String revisedDiagnosis;

    /**
     * 记录医生
     */
    @TableField("rec_doctor")
    private String recDoctor;

    /**
     * 记录时间
     */
    @TableField("rec_date")
    private Date recDate;

    /**
     * 审核医生
     */
    @TableField("audit_doctor")
    private String auditDoctor;

    /**
     * 审核时间
     */
    @TableField("audit_date")
    private Date auditDate;

    /**
     * 体温
     */
    @TableField("temperature")
    private String temperature;

    /**
     * 脉搏
     */
    @TableField("pulse")
    private String pulse;

    /**
     * 呼吸
     */
    @TableField("breathe")
    private String breathe;

    /**
     * 血压
     */
    @TableField("blood_pressure")
    private String bloodPressure;

    /**
     * 疼痛
     */
    @TableField("pain")
    private String pain;

    /**
     * 体重
     */
    @TableField("weight")
    private String weight;

    /**
     * 身高
     */
    @TableField("height")
    private String height;

    /**
     * BMI
     */
    @TableField("bmi")
    private String bmi;

    /**
     * 结构化数据
     */
    @TableField("whole_data")
    private String wholeData;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人
     */
    @TableField("modifier")
    private String modifier;

}