package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 患者类型表 实体类
 * </p>
 */
@Data
@TableName("med_behospital_type")
public class BehospitalType implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 患者类型
     */
    @TableField("behospital_type")
    private String behospitalType;

    /**
     * 类型分值
     */
    @TableField("value")
    private Integer value;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 是否删除
     */
    @TableField("is_deleted")
    private String isDeleted;

}