package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历条目 实体类
 * </p>
 */
@Data
@TableName("qc_cases_entry")
public class CasesEntry implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 病历id
     */
    @TableField("cases_id")
    private Long casesId;

    @TableField("cases_name")
    private String casesName;

    /**
     * 数据模块ID-对应qc_mode.id
     */
    @TableField("mode_id")
    private Long modeId;

    @TableField("code")
    private String code;

    /**
     * 条目
     */
    @TableField("name")
    private String name;

    /**
     * 是否控费(1：是，2：否)
     */
    @TableField("drgs")
    private Integer drgs;

    /**
     * 质控形式(1：形式质控，2：内涵质控)
     */
    @TableField("type")
    private Integer type;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    @TableField("rule_type")
    private Integer ruleType;

    /**
     * 开发状态标识： 0-未开发  1-已开发
     */
    @TableField("dev_type")
    private Integer devType;

    /**
     * 准确率类型：0-极高，1-高，2-中，3-低
     */
    @TableField("accuracy_type")
    private Integer accuracyType;

    @TableField("precond")
    private String precond;

    /**
     * 顺序号
     */
    @TableField("order_no")
    private Integer orderNo;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}