package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 病历条目 实体类
 * </p>
 */
@Data
@TableName("qc_cases_entry_hospital")
public class CasesEntryHospital implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 质控条目id
     */
    @TableField("cases_entry_id")
    private Long casesEntryId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 扣分值
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 扣分值（运行质控）
     */
    @TableField("score_run")
    private BigDecimal scoreRun;

    /**
     * 条目提示信息
     */
    @TableField("msg")
    private String msg;

    /**
     * 0-未启用 1-启用
     */
    @TableField("is_used")
    private Integer isUsed;

    /**
     * 0-未启用 1-启用（运行质控）
     */
    @TableField("is_used_run")
    private Integer isUsedRun;

    /**
     * 单项否决（1-单项否决 0-非）
     */
    @TableField("is_reject")
    private Integer isReject;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}