package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 质控关联条目表 实体类
 * </p>
 */
@Data
@TableName("qc_cases_relevance_entry")
public class CasesRelevanceEntry implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 指标编号
     */
    @TableField("type")
    private Integer type;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 指标名称
     */
    @TableField("cases_name")
    private String casesName;

    /**
     * 关联质控条目
     */
    @TableField("relevance_id")
    private Long relevanceId;

    /**
     * 条目
     */
    @TableField("name")
    private String name;

    @TableField("is_deleted")
    private String isDeleted;

}