package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院科室信息 实体类
 * </p>
 */
@Data
@TableName("bas_dept_info")
public class DeptInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 科室编码（HIS导入）
     */
    @TableId("dept_id")
    private String deptId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    @TableField("parent_dept_id")
    private String parentDeptId;

    /**
     * 科室名称
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 科室类别
     */
    @TableField("dept_type")
    private String deptType;

    /**
     * 首字母拼音
     */
    @TableField("spell")
    private String spell;

    /**
     * 区域类别（门诊、工作站、住院等）
     */
    @TableField("station")
    private String station;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}