package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院信息表 实体类
 * </p>
 */
@Data
@TableName("bas_hospital_info")
public class HospitalInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院名称
     */
    @TableField("name")
    private String name;

    /**
     * 组织机构代码
     */
    @TableField("code")
    private String code;

    /**
     * 医院名称拼音
     */
    @TableField("spell")
    private String spell;

    /**
     * 医院地址
     */
    @TableField("address")
    private String address;

    /**
     * 状态：0.禁用1.启用
     */
    @TableField("status")
    private Integer status;

    /**
     * 排序号
     */
    @TableField("order_no")
    private Integer orderNo;

    /**
     * 是否对接（0-不对接，1-对接）
     */
    @TableField("connect")
    private Integer connect;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}