package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
@TableName("med_index_relevance")
public class IndexRelevance implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 主缓存表id
     */
    @TableField("index_result_id")
    private Integer indexResultId;

    /**
     * 病历条目关联表type
     */
    @TableField("relevance_type")
    private Integer relevanceType;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private String hospitalId;

    /**
     * 病人病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    @TableField("start_date")
    private String startDate;

    @TableField("end_date")
    private String endDate;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}