package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
@TableName("med_index_result")
public class IndexResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private String hospitalId;

    /**
     * 入院记录24小时内完成率--分母
     */
    @TableField("admission_result")
    private Double admissionResult;

    /**
     * 手术记录24小时内完成率-分母
     */
    @TableField("operation_result")
    private Double operationResult;

    /**
     * CT检查记录符合率-分母
     */
    @TableField("ct_result")
    private Double ctResult;

    /**
     * MRI检查记录符合率-分母
     */
    @TableField("mri_result")
    private Double mriResult;

    /**
     * 病理检查记录符合率-分母
     */
    @TableField("pathology_result")
    private Double pathologyResult;

    /**
     * 细菌培养检查记录符合率-分母
     */
    @TableField("germ_result")
    private Double germResult;

    /**
     * 抗菌药物使用记录符合率-分母
     */
    @TableField("antibiosis_result")
    private Double antibiosisResult;

    /**
     * 恶性肿瘤化学治疗记录符合率-分母
     */
    @TableField("tumor_chemistry_result")
    private Double tumorChemistryResult;

    /**
     * 恶性肿瘤放射治疗记录符合率-分母
     */
    @TableField("tumor_radiation_result")
    private Double tumorRadiationResult;

    /**
     * 手术相关记录完成率-分母
     */
    @TableField("operation_complete_result")
    private Double operationCompleteResult;

    /**
     * 植入物相关记录符合率-分母
     */
    @TableField("implants_result")
    private Double implantsResult;

    /**
     * 临床用血相关记录符合率-分母
     */
    @TableField("blood_result")
    private Double bloodResult;

    /**
     * 患者抢救记录及时完成率-分母
     */
    @TableField("rescue_result")
    private Double rescueResult;

    /**
     * 出院患者病历2日归档率-分子
     */
    @TableField("sec_file_result")
    private Double secFileResult;

    /**
     * 出院患者病历归档完整率-分子
     */
    @TableField("file_complete_result")
    private Double fileCompleteResult;

    @TableField("start_date")
    private String startDate;

    @TableField("end_date")
    private String endDate;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}