package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
@TableName("med_nurse")
public class Nurse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 单号
     */
    @TableField("rep_no")
    private String repNo;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Integer hospitalId;

    /**
     * 住院病人ID
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 测量时间
     */
    @TableField("measure_time")
    private Date measureTime;

    /**
     * 生命体征名称
     */
    @TableField("item_name")
    private String itemName;

    /**
     * 生命体征数值
     */
    @TableField("item_value")
    private String itemValue;

    /**
     * 生命体征单位
     */
    @TableField("item_unit")
    private String itemUnit;

    /**
     * 生命体征类型
     */
    @TableField("item_type")
    private String itemType;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}