package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 手术记录 实体类
 * </p>
 */
@Data
@TableName("str_operative_note")
public class OperativeNote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    @TableId("rec_id")
    private String recId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 性别
     */
    @TableField("sex")
    private String sex;

    /**
     * 年龄
     */
    @TableField("age")
    private String age;

    /**
     * 床号
     */
    @TableField("bed_no")
    private String bedNo;

    /**
     * 科别
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 病历日期
     */
    @TableField("record_date")
    private Date recordDate;

    /**
     * 标题
     */
    @TableField("rec_title")
    private String recTitle;

    /**
     * 手术日期
     */
    @TableField("operation_date")
    private Date operationDate;

    /**
     * 开始时间
     */
    @TableField("start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    private Date endTime;

    /**
     * 术前诊断
     */
    @TableField("preoperation_diagnosis")
    private String preoperationDiagnosis;

    /**
     * 手术名称
     */
    @TableField("operation_name")
    private String operationName;

    /**
     * 术（中）后诊断
     */
    @TableField("postoperative_diagnosis")
    private String postoperativeDiagnosis;

    /**
     * 主刀医师
     */
    @TableField("operation_surgeon")
    private String operationSurgeon;

    /**
     * 一助
     */
    @TableField("first_helping")
    private String firstHelping;

    /**
     * 二助
     */
    @TableField("second_helping")
    private String secondHelping;

    /**
     * 麻醉医师
     */
    @TableField("narcosis_doctor")
    private String narcosisDoctor;

    /**
     * 麻醉方式
     */
    @TableField("narcosis_type")
    private String narcosisType;

    /**
     * 切口类别
     */
    @TableField("cut_type")
    private String cutType;

    /**
     * 病理诊断
     */
    @TableField("pathological_diagnosis")
    private String pathologicalDiagnosis;

    /**
     * 是否术中植入物
     */
    @TableField("is_implants")
    private String isImplants;

    /**
     * 植入物名称
     */
    @TableField("implants_name")
    private String implantsName;

    /**
     * 出血
     */
    @TableField("blood_loss")
    private String bloodLoss;

    /**
     * 术中所见
     */
    @TableField("intraoperative_view")
    private String intraoperativeView;

    /**
     * 术后注意事项
     */
    @TableField("postoperative_notice")
    private String postoperativeNotice;

    /**
     * 手术经过及处理
     */
    @TableField("operation_process")
    private String operationProcess;

    /**
     * 记录医生
     */
    @TableField("rec_doctor")
    private String recDoctor;

    /**
     * 记录时间
     */
    @TableField("rec_date")
    private Date recDate;

    /**
     * 审核医生
     */
    @TableField("audit_doctor")
    private String auditDoctor;

    /**
     * 审核时间
     */
    @TableField("audit_date")
    private Date auditDate;

    /**
     * 结构化数据
     */
    @TableField("whole_data")
    private String wholeData;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人
     */
    @TableField("modifier")
    private String modifier;

}