package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术前讨论小结 实体类
 * </p>
 */
@Data
@TableName("str_preoperative_discussion")
public class PreoperativeDiscussion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    @TableId("rec_id")
    private String recId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病历号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 年龄
     */
    @TableField("age")
    private String age;

    /**
     * 床号
     */
    @TableField("bed_no")
    private String bedNo;

    /**
     * 科别
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 性别
     */
    @TableField("sex")
    private String sex;

    /**
     * 病历日期
     */
    @TableField("record_date")
    private Date recordDate;

    /**
     * 标题
     */
    @TableField("rec_title")
    private String recTitle;

    /**
     * 讨论时间
     */
    @TableField("discuss_time")
    private Date discussTime;

    /**
     * 讨论方式
     */
    @TableField("discuss_type")
    private String discussType;

    /**
     * 参加人员
     */
    @TableField("participant")
    private String participant;

    /**
     * 简要病情
     */
    @TableField("brief_note")
    private String briefNote;

    /**
     * 术前诊断
     */
    @TableField("preoperation_diagnosis")
    private String preoperationDiagnosis;

    /**
     * 手术指征与禁忌
     */
    @TableField("operation_indication")
    private String operationIndication;

    /**
     * 可替代的方案
     */
    @TableField("replace_plan")
    private String replacePlan;

    /**
     * 拟施手术方式、名称及可能的变更与禁忌症
     */
    @TableField("operation_name")
    private String operationName;

    /**
     * 拟施麻醉方式
     */
    @TableField("anesthesia_type")
    private String anesthesiaType;

    /**
     * 术前准备
     */
    @TableField("preoperation_prepare")
    private String preoperationPrepare;

    /**
     * 主要术中、术后风险及防范措施
     */
    @TableField("intraoperative_risk")
    private String intraoperativeRisk;

    /**
     * 术中注意事项
     */
    @TableField("intraoperative_notice")
    private String intraoperativeNotice;

    /**
     * 术后注意事项
     */
    @TableField("postoperative_notice")
    private String postoperativeNotice;

    /**
     * 记录医生
     */
    @TableField("rec_doctor")
    private String recDoctor;

    /**
     * 记录时间
     */
    @TableField("rec_date")
    private Date recDate;

    /**
     * 审核医生
     */
    @TableField("audit_doctor")
    private String auditDoctor;

    /**
     * 审核时间
     */
    @TableField("audit_date")
    private Date auditDate;

    /**
     * 结构化数据
     */
    @TableField("whole_data")
    private String wholeData;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人
     */
    @TableField("modifier")
    private String modifier;

}