package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签基础表 实体类
 * </p>
 */
@Data
@TableName("qc_question_info")
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 数据模块ID
     */
    @TableField("mode_id")
    private Long modeId;

    /**
     * 标签名
     */
    @TableField("tag_name")
    private String tagName;

    /**
     * key
     */
    @TableField("name")
    private String name;

    /**
     * value
     */
    @TableField("val")
    private String val;

    /**
     * 标签标识(1：单标签 4：组合标签)
     */
    @TableField("tag_type")
    private Integer tagType;

    /**
     * 控件类型(0：无类型)
     */
    @TableField("control_type")
    private Integer controlType;

    /**
     * 缩进(0：不缩进 1：缩进)
     */
    @TableField("retract")
    private Integer retract;

    /**
     * 内容换行(0：不换行，1：换行)
     */
    @TableField("add_line")
    private Integer addLine;

    /**
     * 独占一行(0：不换行，1：换行)
     */
    @TableField("mono_line")
    private Integer monoLine;

    /**
     * 换行(0：不换行，1：加粗)
     */
    @TableField("bold")
    private Integer bold;

    /**
     * 显示位置(1：靠右显示)
     */
    @TableField("position")
    private Integer position;

    /**
     * 质控条目id列表
     */
    @TableField("cases_entry_ids")
    private String casesEntryIds;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}