package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
@TableName("med_record_type")
public class RecordType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 类别ID
     */
    @TableField("type_id")
    private String typeId;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 类别名称
     */
    @TableField("type_name")
    private String typeName;

    /**
     * 上级类别
     */
    @TableField("parent_type_id")
    private String parentTypeId;

    /**
     * 服务对象(全院、科室、个人)
     */
    @TableField("obj_name")
    private String objName;

    /**
     * 拼音
     */
    @TableField("spell")
    private String spell;

    /**
     * 内容
     */
    @TableField("content")
    private String content;

    @TableField("remark")
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}