package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 质控类型标准 实体类
 * </p>
 */
@Data
@TableName("qc_type")
public class Type implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 质控类型名称
     */
    @TableField("name")
    private String name;

    /**
     * 默认模版是否开启(0-否 1-是)
     */
    @TableField("default_module")
    private Integer defaultModule;

    /**
     * 父类质控id
     */
    @TableField("parent_type_id")
    private String parentTypeId;

    /**
     * 性别
     */
    @TableField("sex")
    private String sex;

    /**
     * 科室ID
     */
    @TableField("beh_dept_id")
    private String behDeptId;

    /**
     * 科室名称
     */
    @TableField("beh_dept_name")
    private String behDeptName;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}