package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 质控类型和医院文书类型关联表 实体类
 * </p>
 */
@Data
@TableName("qc_type_doc")
public class TypeDoc implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 质控类型ID(qc_type.id)
     */
    @TableField("type_id")
    private Long typeId;

    /**
     * 医院文书类型的类型id（med_record_type.type_id）
     */
    @TableField("hospital_type_id")
    private Long hospitalTypeId;

    /**
     * 医院文书类型的医院ID（med_record_type.hospital_id）
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

}