package com.lantone.dblayermbg.facade.report;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lantone.common.dto.report.QcCasesAllDTO;
import com.lantone.common.enums.IsDeleteEnum;
import com.lantone.common.util.BeanUtil;
import com.lantone.common.vo.report.QcCasesEntryVO;
import com.lantone.dblayermbg.entity.report.Cases;
import com.lantone.dblayermbg.service.impl.report.CasesServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 表名：qc_cases 业务类
 * </p>
 */
@Component
public class CasesFacade extends CasesServiceImpl {
    /**
     * 获取基础模块数据信息
     *
     * @return 基础模块数据信息列表
     */
    public List<QcCasesAllDTO> getQcCasesAlls(QcCasesEntryVO qcCasesEntryVO) {
        QueryWrapper<Cases> qc = new QueryWrapper<>();
        qc.eq("is_deleted", IsDeleteEnum.N.getKey());
        if(StringUtils.isNotBlank(qcCasesEntryVO.getCasesName())){
            qc.like("name", qcCasesEntryVO.getCasesName());
        }
        List<Cases> data = list(qc);
        List<QcCasesAllDTO> dataNew = new ArrayList<QcCasesAllDTO>();
        dataNew = BeanUtil.listCopyTo(data, QcCasesAllDTO.class);
        return dataNew;
    }
}