package com.lantone.dblayermbg.facade.report;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.report.DoctorAdviceDTO;
import com.lantone.common.vo.report.DoctorAdviceVO;
import com.lantone.dblayermbg.service.impl.report.DoctorAdviceServiceImpl;
import org.springframework.stereotype.Component;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 表名：med_doctor_advice 业务类
 * </p>
 */
@Component
public class DoctorAdviceFacade extends DoctorAdviceServiceImpl {


    public IPage<DoctorAdviceDTO> getPage(DoctorAdviceVO doctorAdviceVO) {

        List<String> infos = this.baseMapper.getInfo(doctorAdviceVO.getHospitalId(), doctorAdviceVO.getBehospitalCode());
        Set<String> infoSet = new HashSet<>();
        for (String s : infos) {
            if (s.contains("医嘱：")) {
                String[] split = s.split("_");
                for (String info : split) {
                    String[] targetInfos = info.split("：");
                    for (String target : targetInfos) {
                        if (!"医嘱".equals(target)) {
                            infoSet.add(target);
                        }
                    }
                }
            }
        }

        IPage<DoctorAdviceDTO> page = this.baseMapper.getPage(doctorAdviceVO, infoSet);
        return page;
    }

}