package com.lantone.dblayermbg.facade.report;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.report.ExamineInfoDTO;
import com.lantone.common.dto.report.ExamineSonInfoDTO;
import com.lantone.common.vo.report.ExamineInfoVO;
import com.lantone.common.vo.report.ExamineSonInfoVO;
import com.lantone.dblayermbg.service.impl.report.LisInfoServiceImpl;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 表名：med_lis_info 业务类
 * </p>
 */
@Component
public class LisInfoFacade extends LisInfoServiceImpl {


    public IPage<ExamineInfoDTO> getExamineInfo(ExamineInfoVO examineInfoVO) {

        List<String> infos = this.baseMapper.getInfo(examineInfoVO.getHospitalId(), examineInfoVO.getBehospitalCode());

        Set<String> infoSet = new HashSet<>();
        for (String s : infos) {
            if (s.contains("化验：")) {
                String[] split = s.split("_");
                for (String info : split) {
                    String[] targetInfos = info.split("：");
                    for (String targetInfo : targetInfos) {
                        if (!"化验".equals(targetInfo)) {
                            infoSet.add(targetInfo);
                        }
                    }
                }
            }
        }

        //获取病人进出院时间
        Map<String, Object> timeMap = this.baseMapper.getTime(examineInfoVO.getBehospitalCode());
        if (null != timeMap) {
            if(null !=  timeMap.get("behospital_date")){
                Date behospital_date = (Date) timeMap.get("behospital_date");
                examineInfoVO.setBehospitalDate(behospital_date);
            }
            if(null != timeMap.get("leave_hospital_date")){
                Date leaveHospitalDate = (Date) timeMap.get("leave_hospital_date");
                examineInfoVO.setLeaveHospitalDate(leaveHospitalDate);
            }
        }

        String behospitalCode = examineInfoVO.getBehospitalCode();
        if (2l == examineInfoVO.getHospitalId()) {
            examineInfoVO.setBehospitalCode(behospitalCode.split("_")[0]);
        }

        //获取缺陷检验项目
        List<String> badCheckInfo = this.baseMapper.getBadExamineInfo(examineInfoVO, infoSet);
        //获取缺陷判别类别检查项目
        IPage<ExamineInfoDTO> page = this.baseMapper.getExamineInfo(examineInfoVO, infoSet,badCheckInfo);
        return page;
    }

    public IPage<ExamineSonInfoDTO> getExamineSonInfo(ExamineSonInfoVO examineSonInfoVO) {
        List<String> infos = this.baseMapper.getInfo(examineSonInfoVO.getHospitalId(), examineSonInfoVO.getBehospitalCode());
        Set<String> infoSet = new HashSet<>();
        for (String s : infos) {
            if (s.contains("化验：")) {
                String[] split = s.split("_");
                for (String info : split) {
                    String[] targetInfos = info.split("：");
                    for (String targetInfo : targetInfos) {
                        if (!"化验".equals(targetInfo)) {
                            infoSet.add(targetInfo);
                        }
                    }
                }
            }
        }
        String behospitalCode = examineSonInfoVO.getBehospitalCode();
        if (2l == examineSonInfoVO.getHospitalId()) {
            examineSonInfoVO.setBehospitalCode(behospitalCode.split("_")[0]);
        }

        IPage<ExamineSonInfoDTO> page = this.baseMapper.getExamineSonInfo(examineSonInfoVO, infoSet);
        return page;
    }

}