package com.lantone.dblayermbg.facade.report;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.report.CheckInfoDTO;
import com.lantone.common.vo.report.CheckInfoVO;
import com.lantone.dblayermbg.service.impl.report.PacsInfoServiceImpl;
import org.springframework.stereotype.Component;
import java.util.Date;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 表名：med_pacs_info 业务类
 * </p>
 */
@Component
public class PacsInfoFacade extends PacsInfoServiceImpl {

    public IPage<CheckInfoDTO> getCheckInfo(CheckInfoVO checkInfoVO) {

        List<String> infos = this.baseMapper.getInfo(checkInfoVO.getHospitalId(), checkInfoVO.getBehospitalCode());

        Set<String> infoSet = new HashSet<>();
        for (String s : infos) {
            if (s.contains("检查：")) {
                String[] split = s.split("_");
                for (String info : split) {
                    String[] targetInfos = info.split("：");
                    for (String targetInfo : targetInfos) {
                        if (!"检查".equals(targetInfo)) {
                            infoSet.add(targetInfo);
                        }

                    }

                }
            }
        }

        //获取病人进出院时间
        Map<String, Object> timeMap = this.baseMapper.getTime(checkInfoVO.getBehospitalCode());
        if (null != timeMap) {
            if(null != timeMap.get("behospital_date")){
                Date behospital_date = (Date) timeMap.get("behospital_date");
                checkInfoVO.setBehospitalDate(behospital_date);
            }
            if(null != timeMap.get("leave_hospital_date")){
                Date leaveHospitalDate = (Date) timeMap.get("leave_hospital_date");
                checkInfoVO.setLeaveHospitalDate(leaveHospitalDate);
            }
        }
        String behospitalCode = checkInfoVO.getBehospitalCode();
        if(2l == checkInfoVO.getHospitalId()){
            checkInfoVO.setBehospitalCode(behospitalCode.split("_")[0]);
        }

        IPage<CheckInfoDTO> page = this.baseMapper.getCheckInfo(checkInfoVO, infoSet);
        return page;
    }
}