package com.lantone.dblayermbg.facade.report;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lantone.common.dto.report.QcResultDTO;
import com.lantone.common.enums.IsDeleteEnum;
import com.lantone.common.util.BeanUtil;
import com.lantone.common.vo.report.GetDetailVO;
import com.lantone.dblayermbg.entity.report.QcresultInfo;
import com.lantone.dblayermbg.service.impl.report.QcresultInfoServiceImpl;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 表名：med_qcresult_info 业务类
 * </p>
 */
@Component
public class QcresultInfoFacade extends QcresultInfoServiceImpl {
    /**
     * 获取评分主表信息
     *
     * @param getDetailVO
     * @return
     */
    public QcResultDTO getByBehospitalCode(GetDetailVO getDetailVO) {
        QcResultDTO res = new QcResultDTO();
        QcresultInfo qcresultInfo = this.getOne(new QueryWrapper<QcresultInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", getDetailVO.getHospitalId())
                .eq("behospital_code", getDetailVO.getBehospitalCode()), false
        );
        if (qcresultInfo != null) {
            BeanUtil.copyProperties(qcresultInfo, res);
        } else {
            return null;
        }
        return res;
    }

}