package com.lantone.dblayermbg.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.report.CheckJobDTO;
import com.lantone.common.dto.report.CheckUserDTO;
import com.lantone.common.dto.report.CheckWorkDTO;
import com.lantone.common.dto.report.CheckedRecordListDTO;
import com.lantone.common.dto.report.DeptCheckUserDTO;
import com.lantone.common.vo.report.CheckJobPageVO;
import com.lantone.common.vo.report.CheckUserVO;
import com.lantone.common.vo.report.CheckWorkPageVO;
import com.lantone.common.vo.report.CheckedRecordListVO;
import com.lantone.dblayermbg.entity.report.CheckInfo;

import java.util.List;

/**
 * <p>
 * 表名：med_check_info Mapper接口
 * </p>
 */
public interface CheckInfoMapper extends BaseMapper<CheckInfo> {
    //获取未分配的核查任务
    IPage<CheckJobDTO> getCheckList(CheckJobPageVO checkJobVO);
    //临床科室核查人员通过id获取核查人员的核查任务数
    List<DeptCheckUserDTO> getDeptJobNumByUserId(CheckUserVO checkUserVO);
    //核查任务列表
    IPage<CheckWorkDTO> getCheckWorkPage(CheckWorkPageVO checkWorkPageVO);
    //获取指定核查人员的核查任务
    IPage<CheckJobDTO> getCheckListByUserId(CheckJobPageVO checkJobVO);
    //取消核查任务
    int deleteBatchCodes(List<String> list);

    IPage<CheckedRecordListDTO> checkedRecordList(CheckedRecordListVO checkedRecordListVO);
    //获取核查人员用户科室、姓名、角色
    List<CheckUserDTO> getCheckUser(CheckUserVO checkUserVOS);

}