package com.lantone.dblayermbg.mapperdb2;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.appeal.GetAuditDTO;
import com.lantone.common.dto.appeal.GetAppealReviewDTO;
import com.lantone.common.dto.appeal.GetComplaintRecordDTO;
import com.lantone.common.vo.appeal.GetAuditVO;
import com.lantone.common.vo.appeal.GetComplaintRecordVO;
import com.lantone.common.vo.appeal.GetAppealReviewVO;
import com.lantone.common.vo.appeal.ApprovedVo;
import com.lantone.dblayermbg.entity.appeal.AppealExamineInfo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：med_appeal_examine_info Mapper接口
 * </p>
 */
public interface AppealExamineInfoMapper extends BaseMapper<AppealExamineInfo> {
     /**
      * 申诉记录
      * @param getComplaintRecordVO
      * @return
      */
     IPage<GetComplaintRecordDTO> getComplaintRecord(@Param("getComplaintRecordVO") GetComplaintRecordVO getComplaintRecordVO);

     /**
      * 申诉审核列表
      * @param getAppealReviewVO
      * @return
      */
     IPage<GetAppealReviewDTO> getAppealReview(@Param("getAppealReviewVO") GetAppealReviewVO getAppealReviewVO) ;
     /**
      * 获取申述详情
      * @param getAuditVO
      * @return
      */
     GetAuditDTO getAudit(@Param("getAuditVO") GetAuditVO getAuditVO) ;
     /**
      * 审核通过
      * @param approvedVo
      * @return
      */
     Boolean approved(@Param("approvedVo") ApprovedVo approvedVo) ;
}