package com.lantone.dblayermbg.service.impl.analyze;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.analyze.QcModeDTO;
import com.lantone.common.enums.IsDeleteEnum;
import com.lantone.common.util.BeanUtil;
import com.lantone.common.util.EntityUtil;
import com.lantone.common.util.ListUtil;
import com.lantone.dblayermbg.entity.analyze.QcMode;
import com.lantone.dblayermbg.mapper.analyze.QcModeMapper;
import com.lantone.dblayermbg.service.analyze.QcModeService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 数据模块表 Service实现类
 * </p>
 */
@Service
public class QcModeServiceImpl extends ServiceImpl<QcModeMapper, QcMode> implements QcModeService {

    public List<QcModeDTO> getMenu(Map<String, Object> pageData) {
        List<QcMode> qcModeList = this.list(new QueryWrapper<QcMode>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .orderByAsc("parent_id", "order_no")
        );

        for (int i = 0; i < qcModeList.size(); i++) {
            String key = qcModeList.get(i).getName();
            if (!pageData.containsKey(key) && !"病程信息".equals(key)) {
                qcModeList.remove(i--);
            }
        }
        Map<Long, List<QcMode>> map = EntityUtil.makeEntityListMap(qcModeList, "parentId");

        // 获取根节点
        List<QcMode> root = map.get(-1L);
        List<QcModeDTO> res = BeanUtil.listCopyTo(root, QcModeDTO.class);

        for (int i = 0; i < res.size(); i++) {
            QcModeDTO qcModeDTO = res.get(i);
            if (map.containsKey(qcModeDTO.getId())) {
                qcModeDTO.setSonMode(BeanUtil.listCopyTo(map.get(qcModeDTO.getId()), QcModeDTO.class));
            }
            // 如果病程信息下无内容，则删除
            if ("病程信息".equals(qcModeDTO.getName()) && ListUtil.isEmpty(qcModeDTO.getSonMode())) {
                res.remove(i--);
            }
        }
        return res;
    }
}