package com.lantone.analyze.facade.analyze;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.constant.AuthConstant;
import com.lantone.common.dto.analyze.AlgorithmDTO;
import com.lantone.common.dto.analyze.AnalyzeDTO;
import com.lantone.common.dto.analyze.BasDeptInfoDTO;
import com.lantone.common.dto.analyze.BehospitalInfoDTO;
import com.lantone.common.dto.analyze.MedLisResultDTO;
import com.lantone.common.dto.analyze.MedPacsResultDTO;
import com.lantone.common.dto.analyze.MedicalRecordDTO;
import com.lantone.common.dto.analyze.OutputInfo;
import com.lantone.common.dto.analyze.QcCasesEntryDTO;
import com.lantone.common.dto.analyze.QcModeDTO;
import com.lantone.common.dto.analyze.RePlaceData;
import com.lantone.common.dto.analyze.RecordContentDTO;
import com.lantone.common.dto.analyze.Response;
import com.lantone.common.enums.CheckStatusEnum;
import com.lantone.common.enums.IsDeleteEnum;
import com.lantone.common.exception.Asserts;
import com.lantone.common.service.RedisService;
import com.lantone.common.util.BeanUtil;
import com.lantone.common.util.DateUtil;
import com.lantone.common.util.EncrypDES;
import com.lantone.common.util.EntityUtil;
import com.lantone.common.util.ListUtil;
import com.lantone.common.util.MapUtil;
import com.lantone.common.util.StringUtil;
import com.lantone.common.util.SysUserUtils;
import com.lantone.common.vo.analyze.AlgorithmVO;
import com.lantone.common.vo.analyze.AnalyzeVO;
import com.lantone.common.vo.analyze.BasDeptInfoVO;
import com.lantone.common.vo.analyze.BehospitalInfoVo;
import com.lantone.common.vo.analyze.BehospitalPageVO;
import com.lantone.common.vo.analyze.MedQcresultCasesVO;
import com.lantone.common.vo.analyze.MedrecVo;
import com.lantone.common.vo.analyze.QcResultAlgQueryVO;
import com.lantone.common.vo.analyze.QcResultAlgVO;
import com.lantone.common.vo.analyze.QueryVo;
import com.lantone.common.vo.analyze.RecordContentVO;
import com.lantone.dblayermbg.entity.Hospital;
import com.lantone.dblayermbg.entity.analyze.MedBehospitalInfo;
import com.lantone.dblayermbg.entity.analyze.MedCheckInfo;
import com.lantone.dblayermbg.entity.analyze.MedCrisisInfo;
import com.lantone.dblayermbg.entity.analyze.MedDoctorAdvice;
import com.lantone.dblayermbg.entity.analyze.MedHomeDiagnoseInfo;
import com.lantone.dblayermbg.entity.analyze.MedHomeOperationInfo;
import com.lantone.dblayermbg.entity.analyze.MedHomePage;
import com.lantone.dblayermbg.entity.analyze.MedMedicalRecord;
import com.lantone.dblayermbg.entity.analyze.MedNurse;
import com.lantone.dblayermbg.entity.analyze.MedQcresultCases;
import com.lantone.dblayermbg.entity.analyze.MedQcresultDetail;
import com.lantone.dblayermbg.entity.analyze.MedQcresultInfo;
import com.lantone.dblayermbg.entity.analyze.MedTransferRecord;
import com.lantone.dblayermbg.entity.analyze.StrAdmissionNote;
import com.lantone.dblayermbg.entity.analyze.StrBloodResult;
import com.lantone.dblayermbg.entity.analyze.StrBloodTransfusion;
import com.lantone.dblayermbg.entity.analyze.StrConsultationApply;
import com.lantone.dblayermbg.entity.analyze.StrConsultationNote;
import com.lantone.dblayermbg.entity.analyze.StrConsultationRecord;
import com.lantone.dblayermbg.entity.analyze.StrConsultationResult;
import com.lantone.dblayermbg.entity.analyze.StrCrisisNote;
import com.lantone.dblayermbg.entity.analyze.StrDeathDiscussion;
import com.lantone.dblayermbg.entity.analyze.StrDeathNote;
import com.lantone.dblayermbg.entity.analyze.StrDifficultCase;
import com.lantone.dblayermbg.entity.analyze.StrFirstRecord;
import com.lantone.dblayermbg.entity.analyze.StrIllCritically;
import com.lantone.dblayermbg.entity.analyze.StrIllSeriousl;
import com.lantone.dblayermbg.entity.analyze.StrInformedConsent;
import com.lantone.dblayermbg.entity.analyze.StrLeaveHospital;
import com.lantone.dblayermbg.entity.analyze.StrOperativeFirstRecord;
import com.lantone.dblayermbg.entity.analyze.StrOperativeNote;
import com.lantone.dblayermbg.entity.analyze.StrPeriodConclusion;
import com.lantone.dblayermbg.entity.analyze.StrPreoperativeDiscussion;
import com.lantone.dblayermbg.entity.analyze.StrRescueNote;
import com.lantone.dblayermbg.entity.analyze.StrTransferInNote;
import com.lantone.dblayermbg.entity.analyze.StrTransferOutNote;
import com.lantone.dblayermbg.entity.analyze.StrWardRecord;
import com.lantone.dblayermbg.facade.DeptFacade;
import com.lantone.dblayermbg.facade.HospitalFacade;
import com.lantone.dblayermbg.facade.analyze.MedBehospitalInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedCheckInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedCrisisInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedDoctorAdviceFacade;
import com.lantone.dblayermbg.facade.analyze.MedHomeDiagnoseInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedHomeOperationInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedHomePageFacade;
import com.lantone.dblayermbg.facade.analyze.MedLisResultFacade;
import com.lantone.dblayermbg.facade.analyze.MedMedicalRecordFacade;
import com.lantone.dblayermbg.facade.analyze.MedNurseFacade;
import com.lantone.dblayermbg.facade.analyze.MedPacsInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedPacsResultFacade;
import com.lantone.dblayermbg.facade.analyze.MedQcresultInfoFacade;
import com.lantone.dblayermbg.facade.analyze.MedTransferRecordFacade;
import com.lantone.dblayermbg.facade.analyze.QcCasesEntryFacade;
import com.lantone.dblayermbg.facade.analyze.QcModeFacade;
import com.lantone.dblayermbg.facade.analyze.StrAdmissionNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrBloodResultFacade;
import com.lantone.dblayermbg.facade.analyze.StrBloodTransfusionFacade;
import com.lantone.dblayermbg.facade.analyze.StrConsultationApplyFacade;
import com.lantone.dblayermbg.facade.analyze.StrConsultationNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrConsultationRecordFacade;
import com.lantone.dblayermbg.facade.analyze.StrConsultationResultFacade;
import com.lantone.dblayermbg.facade.analyze.StrCrisisNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrDeathDiscussionFacade;
import com.lantone.dblayermbg.facade.analyze.StrDeathNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrDifficultCaseFacade;
import com.lantone.dblayermbg.facade.analyze.StrFirstRecordFacade;
import com.lantone.dblayermbg.facade.analyze.StrIllCriticallyFacade;
import com.lantone.dblayermbg.facade.analyze.StrIllSeriouslFacade;
import com.lantone.dblayermbg.facade.analyze.StrLeaveHospitalFacade;
import com.lantone.dblayermbg.facade.analyze.StrOperativeFirstRecordFacade;
import com.lantone.dblayermbg.facade.analyze.StrOperativeNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrPeriodConclusionFacade;
import com.lantone.dblayermbg.facade.analyze.StrPreoperativeDiscussionFacade;
import com.lantone.dblayermbg.facade.analyze.StrRescueNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrTransferInNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrTransferOutNoteFacade;
import com.lantone.dblayermbg.facade.analyze.StrWardRecordFacade;
import com.lantone.dblayermbg.service.impl.analyze.MedQcresultCasesServiceImpl;
import com.lantone.dblayermbg.service.impl.analyze.MedQcresultDetailServiceImpl;
import com.lantone.dblayermbg.service.impl.analyze.StrInformedConsentServiceImpl;
import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.stream.Collectors;


/**
 * @Description:病历处理业务类
 * @Author songxl
 * @Date 2021/9/17
 */
@Component
public class BehospitalInfoManagementFacade {
    @Value("${encrypt.enable}")
    Boolean encryptFlag;
    @Autowired
    private QcCasesEntryFacade qcCasesEntryFacade;
    @Autowired
    private RedisService redisService;
    @Autowired
    private MedMedicalRecordFacade medicalRecordFacade;
    @Autowired
    StrConsultationApplyFacade strConsultationApplyFacade;
    @Autowired
    StrConsultationResultFacade strConsultationResultFacade;
    @Autowired
    StrConsultationNoteFacade strConsultationNoteFacade;
    @Autowired
    StrConsultationRecordFacade strConsultationRecordFacade;
    @Autowired
    StrAdmissionNoteFacade strAdmissionNoteFacade;
    @Autowired
    StrBloodResultFacade strBloodResultFacade;
    @Autowired
    StrBloodTransfusionFacade strBloodTransfusionFacade;
    @Autowired
    StrCrisisNoteFacade strCrisisNoteFacade;
    @Autowired
    StrDeathDiscussionFacade strDeathDiscussionFacade;
    @Autowired
    StrDeathNoteFacade strDeathNoteFacade;
    @Autowired
    StrDifficultCaseFacade strDifficultCaseFacade;
    @Autowired
    StrFirstRecordFacade strFirstRecordFacade;
    @Autowired
    StrIllCriticallyFacade strIllCriticallyFacade;
    @Autowired
    StrIllSeriouslFacade strIllSeriouslFacade;
    @Autowired
    StrLeaveHospitalFacade strLeaveHospitalFacade;
    @Autowired
    StrOperativeFirstRecordFacade strOperativeFirstRecordFacade;
    @Autowired
    StrOperativeNoteFacade strOperativeNoteFacade;
    @Autowired
    StrPeriodConclusionFacade strPeriodConclusionFacade;
    @Autowired
    StrPreoperativeDiscussionFacade strPreoperativeDiscussionFacade;
    @Autowired
    StrRescueNoteFacade strRescueNoteFacade;
    @Autowired
    StrTransferInNoteFacade strTransferInNoteFacade;
    @Autowired
    StrTransferOutNoteFacade strTransferOutNoteFacade;
    @Autowired
    StrWardRecordFacade strWardRecordFacade;
    @Autowired
    MedTransferRecordFacade medTransferRecordFacade;
    @Autowired
    MedNurseFacade medNurseFacade;
    @Autowired
    MedDoctorAdviceFacade doctorAdviceFacade;
    @Autowired
    MedCrisisInfoFacade medCrisisInfoFacade;
    @Autowired
    MedHomeDiagnoseInfoFacade homeDiagnoseInfoFacade;
    @Autowired
    MedHomeOperationInfoFacade homeOperationInfoFacade;
    @Autowired
    MedHomePageFacade homePageFacade;
    @Autowired
    HospitalFacade hospitalFacade;
    @Autowired
    MedBehospitalInfoFacade medBehospitalInfoFacade;
    @Autowired
    MedLisResultFacade medLisResultFacade;
    @Autowired
    MedPacsInfoFacade medPacsInfoFacade;
    @Autowired
    MedPacsResultFacade medPacsResultFacade;
    @Autowired
    MedCheckInfoFacade medCheckInfoFacade;
    @Autowired
    QcClientFacade qcServiceClient;
    @Autowired
    AlgorithmFacade algorithmFacade;
    @Autowired
    StrInformedConsentServiceImpl strInformedConsentServiceImpl;
    @Autowired
    QcModeFacade qcModeFacade;
    @Autowired
    MedQcresultInfoFacade qcresultInfoFacade;
    @Autowired
    @Qualifier("medQcresultDetailServiceImpl")
    private MedQcresultDetailServiceImpl qcresultDetailServiceImpl;
    @Autowired
    @Qualifier("medQcresultCasesServiceImpl")
    private MedQcresultCasesServiceImpl medQcresultCasesService;
    @Autowired
    private DeptFacade deptFacade;


    /**
     * 获取医院科室下拉列表信息
     *
     * @param basDeptInfoVO 搜索参数
     * @return 医院科室下拉列表信息
     */
    public List<BasDeptInfoDTO> listForUser(BasDeptInfoVO basDeptInfoVO) {
        basDeptInfoVO.setHospitalId(SysUserUtils.getCurrentHospitalId());
        List<BasDeptInfoDTO> basDeptInfoDTOList = deptFacade.getList(basDeptInfoVO);
        return basDeptInfoDTOList;
    }

    /**
     * @param analyzeVO
     * @Description评分接口
     * @Return com.lantone.common.dto.AnalyzeDTO
     */
    public AnalyzeDTO analyze(AnalyzeVO analyzeVO) {
        Long hospitalId = analyzeVO.getHospitalId();
        if (!analyzeVO.getIsTask()) {
            hospitalId = SysUserUtils.getCurrentHospitalId();
        }
        analyzeVO.setHospitalId(hospitalId);

        // 处理公共数据
        QueryVo queryVo = dealCommonData(hospitalId, analyzeVO);
        queryVo.setUseCrfCache(analyzeVO.isUseCrfCache());
        //已核查抛出以评分
        List<MedCheckInfo> medCheckInfos = medCheckInfoFacade.list(new QueryWrapper<MedCheckInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", analyzeVO.getHospitalId())
                .eq("behospital_code", analyzeVO.getBehospitalCode()));
        Set<Integer> status = medCheckInfos.stream().map(MedCheckInfo::getStatus).collect(Collectors.toSet());
        if (medCheckInfos.size() >= 1 && status.contains(CheckStatusEnum.Enable.getKey()) && analyzeVO.getCheckFlag()) {
            Asserts.fail("该病例已经核查无需评分！");
        }
        //  调用质控接口
        Response<OutputInfo> response = qcServiceClient.extract(queryVo);
        if (response == null || response.getData() == null) {
            if (null == response) {
                Asserts.fail("远程质控接口没有返回数据!【" + analyzeVO.getBehospitalCode() + "】");
            } else {
                Asserts.fail("远程质控接口没有返回数据!【" + analyzeVO.getBehospitalCode() + "】错误原因:" + response.getMsg());
            }
        }
        OutputInfo outputInfo = response.getData();
        // 质控编码列表
        List<String> codeList = new ArrayList<>();
        // code和info的映射map
        Map<String, String> codeToInfoMap = new LinkedHashMap<>();
        // 对codeList 和 codeToInfoMap进行赋值
        setCodeData(outputInfo, codeList, codeToInfoMap);

        // 计算分值并保存结果至数据库
        Map<String, Object> resMap = calScoreAndSave(outputInfo, codeList, codeToInfoMap, analyzeVO, queryVo.getBehospitalInfo().getIsPlacefile());
        AlgorithmDTO algorithmDTO = (AlgorithmDTO) resMap.get("algorithmDTO");
        Date date = (Date) resMap.get("date");

        //返回参数组装
        AnalyzeDTO analyzeDTO = new AnalyzeDTO();
        analyzeDTO.setBehospitalCode(analyzeVO.getBehospitalCode());
        analyzeDTO.setIsSuccess(true);
        analyzeDTO.setGradeType(1);
        analyzeDTO.setGradeTypeName("机器");
        analyzeDTO.setScoreRes(algorithmDTO.getScore());
        analyzeDTO.setLevel(algorithmDTO.getLevel());
        analyzeDTO.setGradeTime(date);
        return analyzeDTO;
    }

    /**
     * 计算分值并保存结果至数据库
     *
     * @param outputInfo    质控出参数据
     * @param codeList      质控编码列表
     * @param codeToInfoMap 质控编码对应的info信息
     * @param analyzeVO     入参
     * @return
     */
    public Map<String, Object> calScoreAndSave(OutputInfo outputInfo, List<String> codeList,
                                               Map<String, String> codeToInfoMap, AnalyzeVO analyzeVO,
                                               String isPlacefile) {
        Long hospitalId = analyzeVO.getHospitalId();
        List<QcResultAlgVO> qcResultAlgVOList = new ArrayList<>();
        if (ListUtil.isNotEmpty(codeList)) {
            // 根据质控结果获取质控条目
            QcResultAlgQueryVO qcResultAlgQueryVO = new QcResultAlgQueryVO();
            qcResultAlgQueryVO.setCodeList(codeList);
            qcResultAlgQueryVO.setHospitalId(hospitalId);
            qcResultAlgQueryVO.setIsPlacefile(isPlacefile);
            qcResultAlgVOList = qcCasesEntryFacade.getQcResultAlgVO(qcResultAlgQueryVO);
        }

        // 对info赋值
        for (QcResultAlgVO bean : qcResultAlgVOList) {
            String info = codeToInfoMap.get(bean.getCode());
            if (StringUtil.isNotBlank(info)) {
                bean.setInfo(info);
            }
        }

        // 评分
        AlgorithmVO algorithmVO = new AlgorithmVO();
        algorithmVO.setType(0);
        algorithmVO.setQcResultAlgVOList(qcResultAlgVOList);
        algorithmVO.setHospitalId(hospitalId);
        algorithmVO.setBehospitalCode(analyzeVO.getBehospitalCode());
        algorithmVO.setIsPlacefile(isPlacefile);
        AlgorithmDTO algorithmDTO = algorithmFacade.getAlgorithmRes(algorithmVO);

        //保存
        Map<String, Object> pageMap = outputInfo.getPageData();
        //保存解析过后的手术知情同意书
        List<String> recIds = new ArrayList<>();
        if (pageMap.containsKey("手术知情同意书")) {
            Object informObject = pageMap.get("手术知情同意书");
            List<Map<String, Object>> informList = (List<Map<String, Object>>) informObject;
            List<StrInformedConsent> strInformedConsents = new ArrayList<>();
            if (ListUtil.isNotEmpty(informList)) {
                informList.forEach(obj ->
                        {
                            Map<String, String> strMap = new HashMap<>();
                            strMap.put("使用植入性材料", String.valueOf(obj.get("使用植入性材料")));
                            StrInformedConsent strInformedConsent = new StrInformedConsent();
                            strInformedConsent.setHospitalId(analyzeVO.getHospitalId());
                            strInformedConsent.setBehospitalCode(analyzeVO.getBehospitalCode());
                            strInformedConsent.setRecId(String.valueOf(obj.get("记录编号")));
                            strInformedConsent.setRecTitle(String.valueOf(obj.get("病历标题")));
                            strInformedConsent.setRecType("知情同意书");
                            strInformedConsent.setContent(JSONObject.toJSONString(strMap));
                            strInformedConsent.setGmtCreate(new Date());
                            strInformedConsents.add(strInformedConsent);
                            recIds.add(String.valueOf(obj.get("记录编号")));
                        }
                );
                //删除手术知情同意书历史ric_id
                strInformedConsentServiceImpl.remove(new QueryWrapper<StrInformedConsent>()
                        .eq("hospital_id", analyzeVO.getHospitalId())
                        .eq("is_deleted", IsDeleteEnum.N.getKey())
                        .eq("behospital_code", analyzeVO.getBehospitalCode())
                        .in("rec_id", recIds));
                //新增
                strInformedConsentServiceImpl.saveBatch(strInformedConsents);
            }
        }
        // 手动拼接数据【知情同意书】【谈话告知书】
        List<MedMedicalRecord> recordList = medicalRecordFacade.list(new QueryWrapper<MedMedicalRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .eq("hospital_id", hospitalId)
                .in("mode_id", Arrays.asList(53, 54, 16))
                .orderByAsc("rec_date")
        );
        List<MedicalRecordDTO> medicalRecordDTOList = BeanUtil.listCopyTo(recordList, MedicalRecordDTO.class);
        Map<Long, List<MedicalRecordDTO>> recordMap = EntityUtil.makeEntityListMap(medicalRecordDTOList, "modeId");
        List<MedicalRecordDTO> recordDTOList = new ArrayList<>();
        if (recordMap.get(53L) != null) {
            recordDTOList.addAll(recordMap.get(53L)); // 知情同意书
        }
        if (recordMap.get(16L) != null) {
            recordDTOList.addAll(recordMap.get(16L)); // 手术知情同意书
        }
        // 医嘱信息
        pageMap.put("医嘱信息", null);
        // 医嘱信息
        pageMap.put("检查信息", null);
        // 医嘱信息
        pageMap.put("检验信息", null);
        // 护理信息
        pageMap.put("护理信息", null);
        // 知情同意书 = 【知情同意书】 + 【手术知情同意书】
        pageMap.put("知情同意书", recordDTOList);
        pageMap.put("谈话告知书", recordMap.get(54L));

        String pageData = JSON.toJSONString(pageMap);
        // 获取菜单信息
        List<QcModeDTO> qcModeDTOList = qcModeFacade.getMenu(pageMap);
        String menuData = JSON.toJSONString(qcModeDTOList);

        // 保存评分结果信息
        Date date = saveQcResult(algorithmDTO, algorithmVO, analyzeVO, pageData, menuData, analyzeVO.getIsTask(), null);

        // 返回结果信息
        Map<String, Object> map = new HashMap<>();
        map.put("algorithmDTO", algorithmDTO);
        map.put("date", date);
        return map;
    }


    /**
     * 设置共用code数据
     *
     * @param outputInfo    质控出参数据
     * @param codeList      质控编码列表
     * @param codeToInfoMap 质控编码对应的info信息
     */
    public void setCodeData(OutputInfo outputInfo, List<String> codeList, Map<String, String> codeToInfoMap) {
        Map<String, Map<String, String>> codeMap = outputInfo.getResult();
        for (String key : codeMap.keySet()) {
            codeList.add(key);
            Map<String, String> mapInfo = codeMap.get(key);
            if (mapInfo != null && StringUtil.isNotBlank(mapInfo.get("info"))) {
                codeToInfoMap.put(key, mapInfo.get("info"));
            }
        }
    }

    /**
     * 处理数据(公共方法)
     *
     * @param hospitalId
     * @param analyzeVO
     * @return
     */
    public QueryVo dealCommonData(Long hospitalId, AnalyzeVO analyzeVO) {
        // 获取质控条目
        List<QcCasesEntryDTO> qcCasesEntryDTOList = qcCasesEntryFacade.getQcCasesEntry(analyzeVO);
        if (ListUtil.isEmpty(qcCasesEntryDTOList)) {
            Asserts.fail("该病历无关联的质控条目!");
        }
        // 获取病历所有数据
        Map<String, Map<String, Map<String, String>>> allDicMap = redisService.get(AuthConstant.DIC_MAP_KEY);
        if (!MapUtils.isNotEmpty(allDicMap)) {
            Asserts.fail("字典数据为空！");
        }
        Map<String, Map<String, String>> dicMap = new HashMap<>(); // 获取字典信息
        dicMap.putAll(allDicMap.get("1"));
        dicMap.putAll(allDicMap.get("2"));
        // 获取文书信息
        RecordContentVO recordContentVO = new RecordContentVO();
        BeanUtil.copyProperties(analyzeVO, recordContentVO);
        List<RecordContentDTO> recordContentDTOList = medicalRecordFacade.getRecordContentFac(recordContentVO);
        String recTitle = "";
        // 解密数据
        if (encryptFlag) {
            try {
                EncrypDES encrypDES = new EncrypDES();
                for (RecordContentDTO recordContentDTO : recordContentDTOList) {
                    recTitle = recordContentDTO.getRecTitle();
                    if (StringUtils.isNotEmpty(recordContentDTO.getXmlText())) {
                        recordContentDTO.setXmlText(encrypDES.decryptor(recordContentDTO.getXmlText()));
                    }
                    try {
                        if (StringUtils.isNotEmpty(recordContentDTO.getHtmlText())) {
                            recordContentDTO.setHtmlText(encrypDES.decryptor(recordContentDTO.getHtmlText()));
                        }
                    } catch (Exception e) {
                        recordContentDTO.setHtmlText(null);
                    }
                }
            } catch (Exception e) {
                Asserts.fail("解密错误!病历号=【" + analyzeVO.getBehospitalCode() + "】，医院文书名称=【" + recTitle + "】");
            }
        }
        Map<String, List<RecordContentDTO>> recMap = EntityUtil.makeEntityListMap(recordContentDTOList, "standModelName");
//        -------------------------------------文书数据改造开始----------------------------------
        // 获取会诊申请单
        List<StrConsultationApply> strConsultationApplyList = strConsultationApplyFacade.list(new QueryWrapper<StrConsultationApply>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("behospital_date")
        );

        // 获取会诊结果单
        List<StrConsultationResult> strConsultationResultList = strConsultationResultFacade.list(new QueryWrapper<StrConsultationResult>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("behospital_date")
        );

        // 会诊单（申请和结果）
        List<StrConsultationNote> strConsultationNoteList = strConsultationNoteFacade.list(new QueryWrapper<StrConsultationNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("behospital_date")
        );

        // 会诊记录
        List<StrConsultationRecord> strConsultationRecordList = strConsultationRecordFacade.list(new QueryWrapper<StrConsultationRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("behospital_date")
        );

        // 入院记录
        List<StrAdmissionNote> strAdmissionNoteList = strAdmissionNoteFacade.list(new QueryWrapper<StrAdmissionNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByDesc("behospital_date", "rec_id")
                .last("limit 1")
        );

        // 输血效果评价
        List<StrBloodResult> strBloodResultList = strBloodResultFacade.list(new QueryWrapper<StrBloodResult>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 输血记录
        List<StrBloodTransfusion> strBloodTransfusionList = strBloodTransfusionFacade.list(new QueryWrapper<StrBloodTransfusion>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 危急值记录
        List<StrCrisisNote> strCrisisNoteList = strCrisisNoteFacade.list(new QueryWrapper<StrCrisisNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 死亡病例讨论记录
        List<StrDeathDiscussion> strDeathDiscussionList = strDeathDiscussionFacade.list(new QueryWrapper<StrDeathDiscussion>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 死亡记录
        List<StrDeathNote> strDeathNoteList = strDeathNoteFacade.list(new QueryWrapper<StrDeathNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("death_date")
        );

        // 疑难病例讨论记录
        List<StrDifficultCase> strDifficultCaseList = strDifficultCaseFacade.list(new QueryWrapper<StrDifficultCase>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 首次病程录
        List<StrFirstRecord> strFirstRecordList = strFirstRecordFacade.list(new QueryWrapper<StrFirstRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 病危通知单
        List<StrIllCritically> strIllCriticallyList = strIllCriticallyFacade.list(new QueryWrapper<StrIllCritically>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("doctor_sign_date")
        );

        // 病重通知单
        List<StrIllSeriousl> strIllSeriouslList = strIllSeriouslFacade.list(new QueryWrapper<StrIllSeriousl>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("doctor_sign_date")
        );

        // 出院小结
        List<StrLeaveHospital> strLeaveHospitalList = strLeaveHospitalFacade.list(new QueryWrapper<StrLeaveHospital>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("leave_hospital_date")
        );

        // 术后首程
        List<StrOperativeFirstRecord> strOperativeFirstRecordList = strOperativeFirstRecordFacade.list(new QueryWrapper<StrOperativeFirstRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 手术记录
        List<StrOperativeNote> strOperativeNoteList = strOperativeNoteFacade.list(new QueryWrapper<StrOperativeNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 阶段小结
        List<StrPeriodConclusion> strPeriodConclusionList = strPeriodConclusionFacade.list(new QueryWrapper<StrPeriodConclusion>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 术前讨论小结
        List<StrPreoperativeDiscussion> strPreoperativeDiscussionList = strPreoperativeDiscussionFacade.list(new QueryWrapper<StrPreoperativeDiscussion>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        // 抢救记录
        List<StrRescueNote> strRescueNoteList = strRescueNoteFacade.list(new QueryWrapper<StrRescueNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );

        List<LocalDateTime> transferOutDate = new ArrayList<>();
        List<LocalDateTime> transferInDate = new ArrayList<>();
        Map<String, List<LocalDateTime>> transferMap = new HashMap<>();

        //转入转出时间表
        List<MedTransferRecord> medTransferRecordList = medTransferRecordFacade.list(new QueryWrapper<MedTransferRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .orderByDesc("id"));
        if (ListUtil.isNotEmpty(medTransferRecordList)) {
            medTransferRecordList.forEach(medTransferRecord -> {
                transferOutDate.add(medTransferRecord.getTransferOutDate());
                transferInDate.add(medTransferRecord.getTransferInDate());
            });
        }
        transferMap.put("转出时间", transferOutDate);
        transferMap.put("转入时间", transferInDate);

        // 转入记录
        List<StrTransferInNote> strTransferInNoteList = strTransferInNoteFacade.list(new QueryWrapper<StrTransferInNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("transfer_in_date")
        );

        // 转出记录
        List<StrTransferOutNote> strTransferOutNoteList = strTransferOutNoteFacade.list(new QueryWrapper<StrTransferOutNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("transfer_in_date")
        );

        // 查房记录
        List<StrWardRecord> strWardRecordList = strWardRecordFacade.list(new QueryWrapper<StrWardRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .select("whole_data", "rec_id", "hospital_id")
                .orderByAsc("rec_date")
        );
//        -------------------------------------文书数据改造结束----------------------------------
        // 获取护理
        List<MedNurse> medNurseList = medNurseFacade.list(new QueryWrapper<MedNurse>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .orderByAsc("gmt_create")
        );

        // 获取医嘱
        List<MedDoctorAdvice> doctorAdviceList = doctorAdviceFacade.list(new QueryWrapper<MedDoctorAdvice>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .orderByAsc("da_start_date")
        );

        // 危急值
        List<MedCrisisInfo> medCrisisInfoList = medCrisisInfoFacade.list(new QueryWrapper<MedCrisisInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
        );
        // 获取病案首页
        MedHomePage homePage = homePageFacade.getOne(new QueryWrapper<MedHomePage>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode()), false
        );

        //知情同意书
    /*    List<MedicalRecord> recordList = medicalRecordFacade.list(new QueryWrapper<MedicalRecord>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .eq("hospital_id", hospitalId)
                .in("mode_id", Arrays.asList(53, 16))
                .orderByAsc("rec_date")
        );
        List<MedicalRecordDTO> medicalRecordDTOList = BeanUtil.listCopyTo(recordList, MedicalRecordDTO.class);
*/
        List<MedHomeDiagnoseInfo> homePageList = new ArrayList<>();
        List<MedHomeOperationInfo> homeOperationInfoList = new ArrayList<>();
        if (homePage != null) {
            String ageData = homePage.getAge();
            try {
                if (StringUtils.isNotEmpty(homePage.getAge()) && "-".equals(homePage.getAge()) == false && "—".equals(homePage.getAge()) == false) {
                    //兼容数据库出现 .03岁数据 作后期判断处理
                    String ageUnitString = homePage.getAgeUnit() == null ? "" : homePage.getAgeUnit();
                    if (homePage.getAge().contains(".") && "岁".equals(ageUnitString)) {
                        String ageString = homePage.getAge().split("\\.")[0];
                        //该年龄作为判断使用
                        homePage.setAge(StringUtils.isEmpty(ageString) == true ? "0" + homePage.getAge() : homePage.getAge());
                    }
                    //根据时间单位对模版年龄进行区分
                    if (Double.parseDouble(homePage.getAge()) <= 1 && "岁".equals(ageUnitString)) {
                        homePage.setNewbornMonth(StringUtils.isEmpty(homePage.getNewbornMonth()) == true ? "0" : homePage.getNewbornMonth());
                        homePage.setNewbornDay(StringUtils.isEmpty(homePage.getNewbornDay()) == true ? "0" : homePage.getNewbornDay());
                    } else if ("月".equals(ageUnitString)) {
                        if (StringUtils.isEmpty(homePage.getNewbornDay()) == true) {
                            homePage.setNewbornMonth(StringUtils.isEmpty(homePage.getNewbornMonth()) == true ? homePage.getAge() : homePage.getNewbornMonth());
                        } else if (StringUtils.isEmpty(homePage.getNewbornMonth()) == true && StringUtils.isEmpty(homePage.getNewbornDay()) == false) {
                            homePage.setNewbornMonth("0");
                        }
                        homePage.setNewbornDay(StringUtils.isEmpty(homePage.getNewbornDay()) == true ? "0" : homePage.getNewbornDay());
                    } else if ("天".equals(ageUnitString) || "日".equals(ageUnitString)) {
                        if (StringUtils.isEmpty(homePage.getNewbornMonth()) && StringUtils.isEmpty(homePage.getNewbornDay())) {
                            homePage.setNewbornDay(homePage.getAge());
                            homePage.setNewbornMonth(StringUtils.isEmpty(homePage.getNewbornMonth()) == true ? "0" : homePage.getNewbornMonth());
                        } else {
                            homePage.setNewbornMonth(StringUtils.isEmpty(homePage.getNewbornMonth()) == true ? "0" : homePage.getNewbornMonth());
                            homePage.setNewbornDay(StringUtils.isEmpty(homePage.getNewbornDay()) == true ? "0" : homePage.getNewbornDay());
                        }
                    } else if ("时".equals(ageUnitString)) {
                        homePage.setNewbornMonth(StringUtils.isEmpty(homePage.getNewbornMonth()) == true ? "0" : homePage.getNewbornMonth());
                        homePage.setNewbornDay(StringUtils.isEmpty(homePage.getNewbornDay()) == true ? "0" : homePage.getNewbornDay());
                    } else if (Double.parseDouble(homePage.getAge()) > 1 && "岁".equals(ageUnitString)) {
                        homePage.setNewbornMonth("-");
                        homePage.setNewbornDay("-");
                    }
                }
            } catch (Exception e) {
                System.out.println("年龄解析出错" + e);
            }
            homePage.setAge(ageData + (StringUtils.isEmpty(homePage.getAgeUnit()) == true ? "" : homePage.getAgeUnit()));
            //去掉年龄单位
            homePage.setAgeUnit("");

            // 获取首页出院诊断、病理诊断
            homePageList = homeDiagnoseInfoFacade.list(new QueryWrapper<MedHomeDiagnoseInfo>()
                    .eq("is_deleted", IsDeleteEnum.N.getKey())
                    .eq("hospital_id", hospitalId)
                    .eq("home_page_id", homePage.getHomePageId())
                    .orderByAsc("diagnose_order_no")
            );

            // 获取首页手术信息
            homeOperationInfoList = homeOperationInfoFacade.list(new QueryWrapper<MedHomeOperationInfo>()
                    .eq("is_deleted", IsDeleteEnum.N.getKey())
                    .eq("hospital_id", hospitalId)
                    .eq("home_page_id", homePage.getHomePageId())
                    .orderByAsc("operation_order_no")
            );
            analyzeVO.setHaveHomePage(1);
        } else {
            analyzeVO.setHaveHomePage(0);
        }

        // 拼接数据
        Hospital hospital = hospitalFacade.getById(hospitalId);
        if (hospital == null) {
            Asserts.fail("该用户的医院信息不存在~");
        }
        QueryVo queryVo = new QueryVo();
        queryVo.setCid(hospital.getCode()); // 设置医院编码
        queryVo.setHospitalId(String.valueOf(hospitalId));
        queryVo.setInputCatalogueMap(getInputCatalogueMap(qcCasesEntryDTOList)); // 设置质控条目编码
        List<MedrecVo> medrecVoList = new ArrayList<>(); // 设置内容

        // 添加住院病历信息
        List<MedBehospitalInfo> behospitalInfoList = medBehospitalInfoFacade.list(new QueryWrapper<MedBehospitalInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", hospitalId)
                .eq("behospital_code", analyzeVO.getBehospitalCode())
        );
        if (ListUtil.isNotEmpty(behospitalInfoList)) {
            MedrecVo medrecVo = new MedrecVo();
            medrecVo.setTitle("住院病历信息");
            Map<String, Object> content = new HashMap<>();
            content.put("content", behospitalInfoList);
            medrecVo.setContent(content);
            medrecVoList.add(medrecVo);

            BehospitalInfoVo behospitalInfo = new BehospitalInfoVo();
            BeanUtils.copyProperties(behospitalInfoList.get(0), behospitalInfo);
            queryVo.setBehospitalInfo(behospitalInfo);
        }
        // 化验
        //使用sql进行关联优化数据查询
        List<MedLisResultDTO> medLisResultListDTO = medLisResultFacade.getMedLisResultList(behospitalInfoList.get(0));
        List<MedLisResultDTO> medLisResultList = new ArrayList<>();
        for (MedLisResultDTO medLisResultSingle : medLisResultListDTO) {
            MedLisResultDTO medLisResult = new MedLisResultDTO();
            BeanUtil.copyProperties(medLisResultSingle, medLisResult);
            medLisResult.setItemName(medLisResultSingle.getRepName() + "=" + medLisResultSingle.getReportName());
            medLisResultList.add(medLisResult);
        }

        // 辅检
        //使用sql进行关联优化数据查询
        List<MedPacsResultDTO> medPacsResultList = medPacsResultFacade.getMedPacsResultList(behospitalInfoList.get(0));
        /**
         * 结构化/文书数据兼容处理
         */

        // 会诊记录
        if (ListUtil.isNotEmpty(strConsultationRecordList)) {
            specialData("会诊", strConsultationRecordList, recMap, medrecVoList, "会诊记录", null);
        } else {
            specialDataWithKey("会诊", recMap, medrecVoList, "会诊记录",
                    Arrays.asList("会诊记录"), null);
        }

        //会诊申请单
        if (ListUtil.isNotEmpty(strConsultationApplyList)) {
            specialData("会诊", strConsultationApplyList, recMap, medrecVoList, "会诊申请单", null);
        } else {
            specialDataWithKey("会诊", recMap, medrecVoList, "会诊申请单",
                    Arrays.asList("会诊申请单"), null);
        }
        //会诊结果单
        if (ListUtil.isNotEmpty(strConsultationResultList)) {
            specialData("会诊", strConsultationResultList, recMap, medrecVoList, "会诊结果单", null);
        } else {
            specialDataWithKey("会诊", recMap, medrecVoList, "会诊结果单",
                    Arrays.asList("会诊记录", "会诊结果单", "会诊申请单"), null);
        }

        //会诊单（申请和结果）
        if (ListUtil.isNotEmpty(strConsultationNoteList)) {
            specialData("会诊", strConsultationNoteList, recMap, medrecVoList, "会诊单（申请和结果）", null);
        }
        //入院记录
        if (ListUtil.isNotEmpty(strAdmissionNoteList)) {
            newAddData("入院记录", strAdmissionNoteList, recMap, medrecVoList);
        } else {
            addData("入院记录", recMap, medrecVoList);
        }

        //输血效果评价
        if (ListUtil.isNotEmpty(strBloodResultList)) {
            newAddData("输血后效果评价", strBloodResultList, recMap, medrecVoList);
        } else {
            addData("输血后效果评价", recMap, medrecVoList);
        }

        //输血记录
        if (ListUtil.isNotEmpty(strBloodTransfusionList)) {
            newAddData("输血/血制品病程记录", strBloodTransfusionList, recMap, medrecVoList);
        } else {
            addData("输血/血制品病程记录", recMap, medrecVoList);
        }


        //危急值记录
        if (ListUtil.isNotEmpty(strCrisisNoteList)) {
            newAddData("危急值记录", strCrisisNoteList, recMap, medrecVoList);
        } else {
            addData("危急值记录", recMap, medrecVoList);
        }

        //死亡病例讨论记录
        if (ListUtil.isNotEmpty(strDeathDiscussionList)) {
            newAddData("死亡病例讨论记录", strDeathDiscussionList, recMap, medrecVoList);
        } else {
            addData("死亡病例讨论记录", recMap, medrecVoList);
        }

        //死亡记录
        if (ListUtil.isNotEmpty(strDeathNoteList)) {
            newAddData("死亡记录", strDeathNoteList, recMap, medrecVoList);
        } else {
            addData("死亡记录", recMap, medrecVoList);
        }

        //疑难病例讨论记录
        if (ListUtil.isNotEmpty(strDifficultCaseList)) {
            newAddData("疑难病例讨论记录", strDifficultCaseList, recMap, medrecVoList);
        } else {
            addData("疑难病例讨论记录", recMap, medrecVoList);
        }

        //首次病程录
        if (ListUtil.isNotEmpty(strFirstRecordList)) {
            newAddData("首次病程录", strFirstRecordList, recMap, medrecVoList);
        } else {
            addData("首次病程录", recMap, medrecVoList);
        }

        //病危通知单
        if (ListUtil.isNotEmpty(strIllCriticallyList)) {
            newAddData("病危通知书", strIllCriticallyList, recMap, medrecVoList);
        } else {
            addData("病危通知书", recMap, medrecVoList);
        }

        //病重通知单
        if (ListUtil.isNotEmpty(strIllSeriouslList)) {
            newAddData("病重通知书", strIllSeriouslList, recMap, medrecVoList);
        } else {
            addData("病重通知书", recMap, medrecVoList);
        }

        //出院小结
        if (ListUtil.isNotEmpty(strLeaveHospitalList)) {
            newAddData("出院小结", strLeaveHospitalList, recMap, medrecVoList);
        } else {
            addData("出院小结", recMap, medrecVoList);
        }

        //术后首程
        if (ListUtil.isNotEmpty(strOperativeFirstRecordList)) {
            specialData("手术", strOperativeFirstRecordList, recMap, medrecVoList, "术后首次病程及谈话记录", null);
        } else {
            specialDataWithKey("手术", recMap, medrecVoList, "术后首次病程及谈话记录",
                    null, null);
        }

        //手术记录
        if (ListUtil.isNotEmpty(strOperativeNoteList)) {
            specialData("手术", strOperativeNoteList, recMap, medrecVoList, "手术记录", null);
        } else {
            specialDataWithKey("手术", recMap, medrecVoList, "手术记录",
                    null, null);
        }

        //阶段小结
        if (ListUtil.isNotEmpty(strPeriodConclusionList)) {
            newAddData("阶段小结", strPeriodConclusionList, recMap, medrecVoList);
        } else {
            addData("阶段小结", recMap, medrecVoList);
        }

        //术前讨论小结
        if (ListUtil.isNotEmpty(strPreoperativeDiscussionList)) {
            specialData("手术", strPreoperativeDiscussionList, recMap, medrecVoList, "术前讨论、术前小结", null);
        } else {
            specialDataWithKey("手术", recMap, medrecVoList, "术前讨论、术前小结",
                    null, null);
        }


        //抢救记录
        if (ListUtil.isNotEmpty(strRescueNoteList)) {
            newAddData("抢救记录", strRescueNoteList, recMap, medrecVoList);
        } else {
            addData("抢救记录", recMap, medrecVoList);
        }

        //转入记录
        if (ListUtil.isNotEmpty(strTransferInNoteList)) {
            specialData("转科", strTransferInNoteList, recMap, medrecVoList, "转入记录", transferMap);
        } else {
            specialDataWithKey("转科", recMap, medrecVoList, "转入记录",
                    null, transferMap);
        }

        //转出记录
        if (ListUtil.isNotEmpty(strTransferOutNoteList)) {
            specialData("转科", strTransferOutNoteList, recMap, medrecVoList, "转出记录", transferMap);
        } else {
            specialDataWithKey("转科", recMap, medrecVoList, "转出记录",
                    null, transferMap);
        }

        //查房记录
        if (ListUtil.isNotEmpty(strWardRecordList)) {
            newAddData("查房记录", strWardRecordList, recMap, medrecVoList);
        } else {
            addData("查房记录", recMap, medrecVoList);
        }

        //==============非结构化表拥有，文书单独查出来====================
        specialDataWithKey("手术", recMap, medrecVoList, "手术知情同意书",
                null, null);

        specialDataWithKey("手术", recMap, medrecVoList, "手术安全核查表",
                null, null);


//=========================================
    /*    // 会诊记录
        addDataWithKey("会诊", recMap, medrecVoList,
                Arrays.asList("会诊记录", "会诊结果单", "会诊申请单"));

        // 手术
        addDataWithKey("手术", recMap, medrecVoList,
                Arrays.asList("术后首次病程及谈话记录", "手术记录",
                        "术前讨论、术前小结", "手术知情同意书", "手术安全核查表"));

        // 转科
        addDataWithKey("转科", recMap, medrecVoList,
                Arrays.asList("转入记录", "转出记录"));
*/
//        ==================================

        addData("有创操作", recMap, medrecVoList);

        addData("病理检验送检单", recMap, medrecVoList);

        addData("日常病程录", recMap, medrecVoList);

        //DataWithKey("知情同意书", medicalRecordDTOList, medrecVoList);
        addDataWithInnerKey("知情同意书", recMap, medrecVoList);
        addDataWithInnerKey("谈话告知书", recMap, medrecVoList);

        //==============文书====================
        //护理
        if (ListUtil.isNotEmpty(medNurseList)) {
            addDataWithKeyConvert("护理", medNurseList, medrecVoList,
                    dicMap.get("23"), Arrays.asList("measureTime"));
        }
        // 医嘱
        if (ListUtil.isNotEmpty(doctorAdviceList)) {
            addDataWithKeyConvert("医嘱信息", doctorAdviceList, medrecVoList,
                    dicMap.get("1"), Arrays.asList("daStartDate", "daStopDate"));
        }

        // 危急值
        if (ListUtil.isNotEmpty(medCrisisInfoList)) {
            addDataWithKeyConvert("危急值", medCrisisInfoList, medrecVoList,
                    dicMap.get("20"), Arrays.asList("sendDate", "repDate"));
        }

        // 化验
        if (ListUtil.isNotEmpty(medLisResultList)) {
            addDataWithKeyConvert("化验", medLisResultList, medrecVoList,
                    dicMap.get("21"), new ArrayList<>());
        }

        // 辅检
        if (ListUtil.isNotEmpty(medPacsResultList)) {
            addDataWithKeyConvert("辅检", medPacsResultList, medrecVoList,
                    dicMap.get("22"), new ArrayList<>());
        }

        // 病案首页
        //义乌数据回来还要处理
//        if(analyzeVO.getHospitalId()==5 && ListUtil.isNotEmpty(recMap.get("病案首页"))){
//            addDataWithInnerKey("病案首页", recMap, medrecVoList);
//        }else {
        if (homePage != null) {
            addDataWithFirstPage("病案首页", homePage, medrecVoList, dicMap,
                    homePageList, homeOperationInfoList);
        }
//        }

        queryVo.setMedrec(medrecVoList);
        return queryVo;
    }


    /**
     * 拼接数据
     *
     * @param key
     * @param recMap
     * @param medrecVoList
     */
    public void addData(String key, Map<String, List<RecordContentDTO>> recMap, List<MedrecVo> medrecVoList) {
        List<RecordContentDTO> list = recMap.get(key);
        if (ListUtil.isNotEmpty(list)) {
            for (RecordContentDTO recordContentDTO : list) {
                recordContentDTO.setIsParsed(0);
            }
        }
        if (ListUtil.isNotEmpty(list)) {
            MedrecVo medrecVo = new MedrecVo();
            Map<String, Object> content = new HashMap<>();
            content.put("content", list);
            medrecVo.setTitle(key);
            medrecVo.setContent(content);
            medrecVoList.add(medrecVo);
        }
    }

    /**
     * 拼接数据（病案首页),从数据字典获取信息转换
     *
     * @param key
     * @param homePage
     * @param medrecVoList
     * @param dicMap
     * @param homeDiagnoseInfoList
     * @param homeOperationInfoList
     */
    public void addDataWithFirstPage(String key, MedHomePage homePage, List<MedrecVo> medrecVoList, Map<String, Map<String, String>> dicMap,
                                     List<MedHomeDiagnoseInfo> homeDiagnoseInfoList, List<MedHomeOperationInfo> homeOperationInfoList) {
        MedrecVo medrecVo = new MedrecVo();
        medrecVo.setTitle(key);

        Map<String, String> map = dicMap.get("2"); // 病案首页
        Map<String, Object> content = new HashMap<>();
        try {
            Map<String, Object> objectMap = MapUtil.objectToMap(homePage);
            List<String> firstPageDate = Arrays.asList("birthday", "behospitalDate", "leaveHospitalDate", "qcDate", "gmtCreate");
            for (String objKey : objectMap.keySet()) {
                if (map.containsKey(objKey)) {
                    if (firstPageDate.contains(objKey)) {
                        Date date = (Date) objectMap.get(objKey);
                        if ("birthday".equals(objKey)) {
                            content.put(map.get(objKey), DateUtil.formatDate(date));
                        } else {
                            content.put(map.get(objKey), DateUtil.formatDateTime(date));
                        }
                    } else {
                        content.put(map.get(objKey), String.valueOf(objectMap.get(objKey)).replaceAll("null", ""));
                    }
                }
            }

            // 病案首页手术信息
            if (ListUtil.isNotEmpty(homeOperationInfoList)) {
                Map<String, String> dic3 = dicMap.get("3"); // 病案首页手术信息
                List<Map> mapList = new ArrayList<>();
                List<String> operatDate = Arrays.asList("operationDate");
                for (MedHomeOperationInfo homeOperationInfo : homeOperationInfoList) {
                    try {
                        Map operatMap = objcetKeyConvert(operatDate, dic3, MapUtil.objectToMap(homeOperationInfo));
                        mapList.add(operatMap);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                content.put("手术信息", JSON.toJSONString(mapList));
            }

            // 病案首页诊断信息
            if (ListUtil.isNotEmpty(homeDiagnoseInfoList)) {
                Map<String, String> dic4 = dicMap.get("4"); // 病案首页诊断信息
                List<Map> mapList = new ArrayList<>();
                List<String> diagnoseDate = Arrays.asList("");
                for (MedHomeDiagnoseInfo homeDiagnoseInfo : homeDiagnoseInfoList) {
                    try {
                        Map objectMapDiag = objcetKeyConvert(diagnoseDate, dic4, MapUtil.objectToMap(homeDiagnoseInfo));
                        mapList.add(objectMapDiag);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                content.put("出院诊断", JSON.toJSONString(mapList));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        medrecVo.setContent(content);
        medrecVoList.add(medrecVo);
    }

    /**
     * 拼接数据（例如：知情同意书、谈话告知书）
     *
     * @param key
     * @param recMap
     * @param medrecVoList
     */
    public void addDataWithInnerKey(String key, Map<String, List<RecordContentDTO>> recMap, List<MedrecVo> medrecVoList) {
        MedrecVo medrecVo = new MedrecVo();
        medrecVo.setTitle(key);
        Map<String, Object> content = new HashMap<>();
        Map<String, Object> listMap = new HashMap<>();
        List<RecordContentDTO> recordContentDTOList = recMap.get(key);
        if (ListUtil.isNotEmpty(recordContentDTOList)) {
            Map<String, List<RecordContentDTO>> keyMap =
                    EntityUtil.makeEntityListMap(recordContentDTOList, "recTitle");
            Set<String> keyList = keyMap.keySet();
            for (String k : keyList) {
                List<RecordContentDTO> recordContentDTOS = keyMap.get(k);
                if (ListUtil.isNotEmpty(recordContentDTOS)) {
                    for (RecordContentDTO recordContentDTO : recordContentDTOS) {
                        recordContentDTO.setIsParsed(0);
                    }
                }

                if (ListUtil.isNotEmpty(recordContentDTOS)) {
                    listMap.put(k, recordContentDTOS);
                }
            }
            content.put("content", listMap);
            medrecVo.setContent(content);
            medrecVoList.add(medrecVo);
        }
    }

    /**
     * 获取质控条目编码
     *
     * @param qcCasesEntryDTOList
     * @return
     */
    public Map<String, Map<String, String>> getInputCatalogueMap(List<QcCasesEntryDTO> qcCasesEntryDTOList) {
        Map<String, Map<String, String>> res = new HashMap<>();
        for (QcCasesEntryDTO qc : qcCasesEntryDTOList) {
            Map<String, String> map = new HashMap<>();
            map.put("code", qc.getCode());
            map.put("precond", qc.getPrecond());
            map.put("name", qc.getMsg());
            res.put(qc.getCode(), map);
        }
        return res;
    }

    /**
     * 1.5.0拼接数据(手术、会诊)
     *
     * @param key
     * @param recMap
     * @param medrecVoList
     */
    public void specialDataWithKey(String key, Map<String, List<RecordContentDTO>> recMap, List<MedrecVo> medrecVoList,
                                   String keyTagert, List<String> keyList, Map<String, List<LocalDateTime>> transferMap) {
        MedrecVo medrecVo = new MedrecVo();
        Map<String, List<RecordContentDTO>> specialContent = new HashMap<String, List<RecordContentDTO>>();
        Map<String, Object> content = new HashMap<>();
        Map<String, Object> Map = new HashMap<>();
        Boolean flag = false;
        if (ListUtil.isNotEmpty(keyList)) {
            for (String k : keyList) {
                if (ListUtil.isNotEmpty(recMap.get(k))) {
                    Map.put(k, recMap.get(k));
                }
            }

        }
        //设置特殊属性
        List<RecordContentDTO> recordContentDTOS = recMap.get(keyTagert);
        if (ListUtil.isNotEmpty(recordContentDTOS)) {
            for (RecordContentDTO recordContentDTO : recordContentDTOS) {
                if (null != transferMap) {
                    recordContentDTO.setTransferOutDate(transferMap.get("转出时间"));
                    recordContentDTO.setTransferInDate(transferMap.get("转入时间"));
                }
                recordContentDTO.setIsParsed(0);
            }
        }

        //用来复制申请单
        List<RecordContentDTO> recordContentList = recMap.get("会诊申请单");
        if (ListUtil.isNotEmpty(recordContentList)) {
            for (RecordContentDTO recordContentDTO : recordContentList) {
                if (null != transferMap) {
                    recordContentDTO.setTransferOutDate(transferMap.get("转出时间"));
                    recordContentDTO.setTransferInDate(transferMap.get("转入时间"));
                }
                recordContentDTO.setIsParsed(0);
            }
        }

        for (MedrecVo medrec : medrecVoList) {
//            存在标题
            if (key.equals(medrec.getTitle())) {
                Map<String, Object> keyContent = medrec.getContent();
                specialContent = JSON.parseObject(JSON.toJSONString(keyContent.get("content")), new TypeReference<Map<String, List<RecordContentDTO>>>() {
                });
                if (ListUtil.isNotEmpty(keyList) && keyList.size() == 3) {
                    if (Map.get("会诊申请单") != null && Map.get("会诊结果单") == null && ListUtil.isNotEmpty(recordContentDTOS)) {
                        specialContent.put(keyTagert, recordContentList);
                    } else if (Map.get("会诊结果单") != null && ListUtil.isNotEmpty(recordContentDTOS)) {
                        specialContent.put(keyTagert, recordContentDTOS);
                    }
                } else {
                    if (ListUtil.isNotEmpty(recordContentDTOS)) {
                        specialContent.put(keyTagert, recordContentDTOS);
                    }
                }

                if (!specialContent.isEmpty()) {
                    keyContent.put("content", specialContent);
                    flag = true;
                }

            }
        }

        //没有第一标题
        if (!flag) {
            if (ListUtil.isNotEmpty(keyList) && keyList.size() == 3) {
                if (Map.get("会诊申请单") != null && Map.get("会诊结果单") == null && ListUtil.isNotEmpty(recordContentDTOS)) {
                    specialContent.put(keyTagert, recordContentList);
                } else if (Map.get("会诊结果单") != null && ListUtil.isNotEmpty(recordContentDTOS)) {
                    specialContent.put(keyTagert, recordContentDTOS);
                }
            } else {
                if (ListUtil.isNotEmpty(recordContentDTOS)) {
                    specialContent.put(keyTagert, recordContentDTOS);
                }
            }
            if (!specialContent.isEmpty()) {
                content.put("content", specialContent);
                medrecVo.setTitle(key);
                medrecVo.setContent(content);
                medrecVoList.add(medrecVo);
            }
        }
    }

    /**
     * 1.5.0拼接数据
     *
     * @param key
     * @param list
     * @param medrecVoList
     */
    public <T> void newAddData(String key, List<T> list, Map<String, List<RecordContentDTO>> recMap, List<MedrecVo> medrecVoList) {
        MedrecVo medrecVo = new MedrecVo();
        medrecVo.setTitle(key);
        Map<String, Object> content = new HashMap<>();
        List<RePlaceData> contents = new ArrayList<>();

        //从结构化表中取出应用数据
        for (T bean : list) {
            try {
                RePlaceData rePlaceData = new RePlaceData();
                Map<String, Object> objectMap = MapUtil.objectToMap(bean);
                String recId = (String) objectMap.get("recId");
                rePlaceData.setRecId(recId);
                Long hospitalId = (Long) objectMap.get("hospitalId");
                rePlaceData.setHospitalId(hospitalId);
                String jsonData = (String) objectMap.get("wholeData");
                rePlaceData.setJsonData(jsonData);
                contents.add(rePlaceData);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        //将文书xml替换成结构化数据
        if (ListUtil.isNotEmpty(recMap.get(key))) {
            List<RecordContentDTO> recordContentDTOS = recMap.get(key);
            for (RecordContentDTO recordContentDTO : recordContentDTOS) {
                if (ListUtil.isNotEmpty(contents)) {
                    for (RePlaceData rePlaceData : contents) {
                        if (StringUtil.isNotEmpty(recordContentDTO.getRecId()) &&
                                rePlaceData.getRecId().equals(recordContentDTO.getRecId()) &&
                                rePlaceData.getHospitalId().equals(recordContentDTO.getHospitalId())) {
                            recordContentDTO.setXmlText(rePlaceData.getJsonData());
                            recordContentDTO.setIsParsed(1);
                        }
                    }
                }
            }
            content.put("content", recordContentDTOS);
            medrecVo.setContent(content);
            medrecVoList.add(medrecVo);
        }
    }

    /**
     * 1.5.0拼接数据(手术、会诊)
     *
     * @param key
     * @param list
     * @param medrecVoList
     */
    public <T> void specialData(String key, List<T> list, Map<String, List<RecordContentDTO>> recMap, List<MedrecVo> medrecVoList, String keyTagert,
                                Map<String, List<LocalDateTime>> transferMap) {
        MedrecVo medrecVo = new MedrecVo();
        Map<String, Object> content = new HashMap<String, Object>();
        Map<String, List<RecordContentDTO>> specialContent = new HashMap<>();
        List<RePlaceData> contents = new ArrayList<>();

        //从结构化表中取出应用数据
        for (T bean : list) {
            try {
                RePlaceData rePlaceData = new RePlaceData();
                Map<String, Object> objectMap = MapUtil.objectToMap(bean);
                String recId = (String) objectMap.get("recId");
                rePlaceData.setRecId(recId);
                Long hospitalId = (Long) objectMap.get("hospitalId");
                rePlaceData.setHospitalId(hospitalId);
                String jsonData = (String) objectMap.get("wholeData");
                rePlaceData.setJsonData(jsonData);
                contents.add(rePlaceData);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        //将文书xml替换成结构化数据
        if (ListUtil.isNotEmpty(recMap.get(keyTagert))) {
            Boolean flag = true;
            List<RecordContentDTO> recordContentDTOS = recMap.get(keyTagert);
            for (RecordContentDTO recordContentDTO : recordContentDTOS) {
                if (null != transferMap) {
                    recordContentDTO.setTransferOutDate(transferMap.get("转出时间"));
                    recordContentDTO.setTransferInDate(transferMap.get("转入时间"));
                }
                if (ListUtil.isNotEmpty(contents)) {
                    for (RePlaceData rePlaceData : contents) {
                        if (StringUtil.isNotEmpty(recordContentDTO.getRecId()) &&
                                rePlaceData.getRecId().equals(recordContentDTO.getRecId()) &&
                                rePlaceData.getHospitalId().equals(recordContentDTO.getHospitalId())) {
                            recordContentDTO.setXmlText(rePlaceData.getJsonData());
                            recordContentDTO.setIsParsed(1);
                        }
                    }
                }
            }
            for (MedrecVo medrec : medrecVoList) {
                if (key.equals(medrec.getTitle())) {
                    Map<String, Object> keyContent = medrec.getContent();
                    try {
                        specialContent = JSON.parseObject(JSON.toJSONString(keyContent.get("content")), new TypeReference<Map<String, List<RecordContentDTO>>>() {
                        });
                        specialContent.put(keyTagert, recordContentDTOS);
                        keyContent.put("content", specialContent);
                        flag = false;
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            }
            if (flag) {
                medrecVo.setTitle(key);
                specialContent.put(keyTagert, recordContentDTOS);
                content.put("content", specialContent);
                medrecVo.setContent(content);
                medrecVoList.add(medrecVo);
            }
        }
    }

    /**
     * 拼接数据,从数据字典获取信息转换
     *
     * @param key
     * @param list
     * @param medrecVoList
     * @param map
     */
    public <T> void addDataWithKeyConvert(String key, List<T> list,
                                          List<MedrecVo> medrecVoList, Map<String, String> map, List<String> dateList) {
        MedrecVo medrecVo = new MedrecVo();
        medrecVo.setTitle(key);
        Map<String, Object> content = new HashMap<>();
        List<String> contents = new ArrayList<>();
        for (T bean : list) {
            try {
                Map<String, String> res = new HashMap<>();
                Map<String, Object> objectMap = MapUtil.objectToMap(bean);
                for (String objKey : objectMap.keySet()) {
                    if (map.get(objKey) != null) {
                        if (dateList.contains(objKey)) {
                            Date date = (Date) objectMap.get(objKey);
                            res.put(map.get(objKey), DateUtil.formatDateTime(date).replaceAll("null", ""));
                        } else {
                            res.put(map.get(objKey), String.valueOf(objectMap.get(objKey)).replaceAll("null", ""));
                        }
                    }
                }
                String jsonStr = JSON.toJSONString(res);
                contents.add(jsonStr);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        content.put("content", contents);
        medrecVo.setContent(content);
        medrecVoList.add(medrecVo);
    }


    /**
     * 对象key转换
     *
     * @param dateList
     * @param dicMap
     * @param objectMap
     * @return
     */
    public Map<String, Object> objcetKeyConvert(List<String> dateList, Map<String, String> dicMap, Map<String, Object> objectMap) {
        Map<String, Object> res = new HashMap<>();
        for (String objKey : objectMap.keySet()) {
            if (dicMap.containsKey(objKey)) {
                if (dateList.contains(objKey)) {
                    Date date = (Date) objectMap.get(objKey);
                    res.put(dicMap.get(objKey), DateUtil.formatDateTime(date).replaceAll("null", ""));
                } else {
                    res.put(dicMap.get(objKey), String.valueOf(objectMap.get(objKey)).replaceAll("null", ""));
                }
            }
        }
        return res;
    }

    /**
     * 保存评分结果信息
     *
     * @param algorithmDTO 评分结果
     * @param algorithmVO  操作的条目
     * @param analyzeVO    病历信息
     * @param pageData     大数据解析出来的页面信息
     * @param menuData     菜单信息
     * @param isTask       是否是任务
     * @return 评分的时间
     */
    public Date saveQcResult(AlgorithmDTO algorithmDTO, AlgorithmVO algorithmVO, AnalyzeVO analyzeVO,
                             String pageData, String menuData, Boolean isTask, MedQcresultInfo qcresultInfoOld) {
        //更新质控评分结果信息
        Long useId = 0L;
        if (!isTask) {
            try {
                useId = Long.valueOf(SysUserUtils.getCurrentPrinciple());
            } catch (Exception e) {
                //analyze_run运行质控没有登录认证   所以会获取不到
                useId = 952795279527L;
            }
        }
        Date now = DateUtil.now();
        //逻辑删除记录
        qcresultInfoFacade.update(new UpdateWrapper<MedQcresultInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", analyzeVO.getHospitalId())
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .set("is_deleted", IsDeleteEnum.Y.getKey())
                .set("modifier", useId)
                .set("gmt_modified", now));
        //新增记录
        MedQcresultInfo qcresultInfo = new MedQcresultInfo();
        if (qcresultInfoOld != null) {
            //新增、删除、修改时的操作
            BeanUtil.copyProperties(qcresultInfoOld, qcresultInfo);
        } else {
            //基本评分是的操作
            qcresultInfo.setHaveHomePage(analyzeVO.getHaveHomePage());
        }
        qcresultInfo.setBehospitalCode(analyzeVO.getBehospitalCode());
        qcresultInfo.setHospitalId(analyzeVO.getHospitalId());
        qcresultInfo.setScoreRes(algorithmDTO.getScore());
        qcresultInfo.setLevel(algorithmDTO.getLevel());
        if (algorithmVO.getType().equals(0)) {
            qcresultInfo.setGradeType(1);
        } else {
            qcresultInfo.setGradeType(2);
        }
        if (StringUtil.isNotBlank(pageData)) {
            qcresultInfo.setPageData(pageData);
        }
        if (StringUtil.isNotBlank(menuData)) {
            qcresultInfo.setMenuData(menuData);
        }

        qcresultInfo.setGmtCreate(now);
        qcresultInfo.setCreator(useId.toString());
        qcresultInfo.setGmtModified(now);
        qcresultInfo.setModifier(useId.toString());
        qcresultInfoFacade.save(qcresultInfo);
        //更新质控评分明细信息
        switch (algorithmVO.getType()) {
            //自动评分
            case 0:
                //删除记录
                qcresultDetailServiceImpl.remove(new QueryWrapper<MedQcresultDetail>()
                        .eq("hospital_id", analyzeVO.getHospitalId())
                        .eq("behospital_code", analyzeVO.getBehospitalCode()));
                //批量插入新的数据
                List<MedQcresultDetail> qcresultDetailList = new ArrayList<>();
                List<QcResultAlgVO> qcResultAlgVORes = algorithmVO.getQcResultAlgVOList();
                if (ListUtil.isNotEmpty(qcResultAlgVORes)) {
                    for (QcResultAlgVO qcResultAlgVO : qcResultAlgVORes) {
                        MedQcresultDetail qcresultDetail = new MedQcresultDetail();
                        BeanUtil.copyProperties(qcResultAlgVO, qcresultDetail);
                        qcresultDetail.setHospitalId(analyzeVO.getHospitalId());
                        qcresultDetail.setBehospitalCode(analyzeVO.getBehospitalCode());
                        qcresultDetail.setGradeType(1);
                        qcresultDetail.setOptType(1);
                        qcresultDetail.setGmtCreate(now);
                        qcresultDetail.setCreator(useId.toString());
                        qcresultDetail.setGmtModified(now);
                        qcresultDetail.setModifier(useId.toString());
                        qcresultDetail.setInfo(StringUtil.isNotBlank(qcResultAlgVO.getInfo()) ? qcResultAlgVO.getInfo() : "");
                        qcresultDetailList.add(qcresultDetail);
                    }
                    qcresultDetailServiceImpl.saveBatch(qcresultDetailList);
                }
                break;
            case 1:
                //新增条目
                MedQcresultDetail qcresultDetailAdd = new MedQcresultDetail();
                BeanUtil.copyProperties(algorithmVO.getOptResultAlgVO(), qcresultDetailAdd);
                qcresultDetailAdd.setGradeType(2);
                qcresultDetailAdd.setOptType(1);
                qcresultDetailAdd.setHospitalId(analyzeVO.getHospitalId());
                qcresultDetailAdd.setBehospitalCode(analyzeVO.getBehospitalCode());
                qcresultDetailAdd.setGmtCreate(now);
                qcresultDetailAdd.setCreator(useId.toString());
                qcresultDetailAdd.setGmtModified(now);
                qcresultDetailAdd.setModifier(useId.toString());
                qcresultDetailServiceImpl.save(qcresultDetailAdd);
                break;
            case 2:
                //删除条目
                qcresultDetailServiceImpl.remove(new QueryWrapper<MedQcresultDetail>()
                        .eq("id", algorithmVO.getOptResultAlgVO().getId())
                        .eq("hospital_id", analyzeVO.getHospitalId())
                        .eq("behospital_code", analyzeVO.getBehospitalCode())
                );
                break;
            case 3:
                //修改条目
                qcresultDetailServiceImpl.update(new UpdateWrapper<MedQcresultDetail>()
                        .eq("id", algorithmVO.getOptResultAlgVO().getId())
                        .eq("is_deleted", IsDeleteEnum.N.getKey())
                        .eq("hospital_id", analyzeVO.getHospitalId())
                        .eq("behospital_code", analyzeVO.getBehospitalCode())
                        .set("msg", algorithmVO.getOptResultAlgVO().getMsg())
                        .set("score", algorithmVO.getOptResultAlgVO().getScore())
                        .set("opt_type", 3)
                        .set("grade_type", 2)
                        .set("modifier", useId)
                        .set("gmt_modified", now)
                        .set("explain_info", algorithmVO.getOptResultAlgVO().getExplainInfo())
                );
                break;
            case 4:
                //获取病历核查人员id，该操作只能是核查员操作
                Long checkId = medCheckInfoFacade.getOne(new QueryWrapper<MedCheckInfo>()
                        .eq("is_deleted", IsDeleteEnum.N.getKey())
                        .eq("hospital_id", analyzeVO.getHospitalId())
                        .eq("behospital_code", analyzeVO.getBehospitalCode())).getCheckId();
                if (checkId == null) {
                    Asserts.fail("病历没有分配核查人员");
                }
                if (!checkId.equals(useId)) {
                    Asserts.fail("当前用户不是分配的核查人员");
                }
                //逻辑删除质控明细 0删除
                if (analyzeVO.getDelStatus() == 0) {
                    qcresultDetailServiceImpl.update(new UpdateWrapper<MedQcresultDetail>()
                            .eq("id", algorithmVO.getOptResultAlgVO().getId())
                            .eq("is_deleted", IsDeleteEnum.N.getKey())
                            .eq("hospital_id", analyzeVO.getHospitalId())
                            .eq("behospital_code", analyzeVO.getBehospitalCode())
                            .set("is_deleted", IsDeleteEnum.Y.getKey())
                            .set("grade_type", 2)
                            .set("opt_type", 2)
                            .set("modifier", useId)
                            .set("gmt_modified", now)
                    );
                }
                //1恢复
                else if (analyzeVO.getDelStatus() == 1) {
                    //该条目是机器插入条目
                    qcresultDetailServiceImpl.update(new UpdateWrapper<MedQcresultDetail>()
                            .eq("id", algorithmVO.getOptResultAlgVO().getId())
                            .eq("is_deleted", IsDeleteEnum.Y.getKey())
                            .eq("hospital_id", analyzeVO.getHospitalId())
                            .eq("behospital_code", analyzeVO.getBehospitalCode())
                            .set("is_deleted", IsDeleteEnum.N.getKey())
                            .set("grade_type", 2)
                            .set("opt_type", 1)
                            .set("modifier", useId)
                            .set("remark", null)
                            .set("gmt_modified", now)
                    );
                } else {
                    Asserts.fail("delStatus参数错误");
                }


                break;
            default:
                /* DO NOTHING */
                break;
        }

        //质控模块评分数据
        //统一为长兴的算法
        //逻辑删除数据
        medQcresultCasesService.update(new UpdateWrapper<MedQcresultCases>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", analyzeVO.getHospitalId())
                .eq("behospital_code", analyzeVO.getBehospitalCode())
                .set("is_deleted", IsDeleteEnum.Y.getKey())
                .set("modifier", useId)
                .set("gmt_modified", now));
        //批量插入新的数据
        List<MedQcresultCases> medQcresultCasesList = new ArrayList<>();
        List<MedQcresultCasesVO> medQcresultCasesVOList = algorithmVO.getMedQcresultCasesVOList();
        if (ListUtil.isNotEmpty(medQcresultCasesVOList)) {
            for (MedQcresultCasesVO medQcresultCasesVO : medQcresultCasesVOList) {
                MedQcresultCases medQcresultCases = new MedQcresultCases();
                BeanUtil.copyProperties(medQcresultCasesVO, medQcresultCases);
                medQcresultCases.setGmtCreate(now);
                medQcresultCases.setCreator(useId.toString());
                medQcresultCases.setGmtModified(now);
                medQcresultCases.setModifier(useId.toString());
                medQcresultCasesList.add(medQcresultCases);
            }
            medQcresultCasesService.saveBatch(medQcresultCasesList);
        }
        return now;
    }

    /**
     * 分页
     *
     * @param behospitalPageVO
     * @return
     */
    public IPage<BehospitalInfoDTO> pageFac(BehospitalPageVO behospitalPageVO) {
        behospitalPageSet(behospitalPageVO);
        IPage<BehospitalInfoDTO> res = medBehospitalInfoFacade.getPage(behospitalPageVO);
        return res;
    }

    private void behospitalPageSet(BehospitalPageVO behospitalPageVO) {
        //入参验证
        //入院时间
        if (null != behospitalPageVO && null != behospitalPageVO.getBehosDateStart()) {
            behospitalPageVO.setBehosDateStart(DateUtil.getFirstTimeOfDay(behospitalPageVO.getBehosDateStart()));
        }
        if (null != behospitalPageVO && null != behospitalPageVO.getBehosDateEnd()) {
            behospitalPageVO.setBehosDateEnd(DateUtil.getFirstTimeOfDay(DateUtil.addDay(behospitalPageVO.getBehosDateEnd(), 1)));
        }
        if (null != behospitalPageVO && null != behospitalPageVO.getBehosDateStart() && null != behospitalPageVO.getBehosDateEnd()) {
            if (DateUtil.after(behospitalPageVO.getBehosDateStart(), behospitalPageVO.getBehosDateEnd())) {
                Asserts.fail("入院时间的开始时间必须小于结束时间");
            }
        }
        //出院时间
        if (null != behospitalPageVO && null != behospitalPageVO.getLeaveHosDateStart()) {
            behospitalPageVO.setLeaveHosDateStart(DateUtil.getFirstTimeOfDay(behospitalPageVO.getLeaveHosDateStart()));
        }
        if (null != behospitalPageVO && null != behospitalPageVO.getLeaveHosDateEnd()) {
            behospitalPageVO.setLeaveHosDateEnd(DateUtil.getFirstTimeOfDay(DateUtil.addDay(behospitalPageVO.getLeaveHosDateEnd(), 1)));
        }
        if (null != behospitalPageVO && null != behospitalPageVO.getLeaveHosDateStart() && null != behospitalPageVO.getLeaveHosDateEnd()) {
            if (DateUtil.after(behospitalPageVO.getLeaveHosDateStart(), behospitalPageVO.getLeaveHosDateEnd())) {
                Asserts.fail("出院时间的开始时间必须小于结束时间");
            }
        }
        behospitalPageVO.setHospitalId(SysUserUtils.getCurrentHospitalId());
    }
}
