package com.lantone.analyze.facade.analyze;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lantone.analyze.client.QcServiceClient;
import com.lantone.common.dto.analyze.OutputInfo;
import com.lantone.common.dto.analyze.Response;
import com.lantone.common.enums.IsDeleteEnum;
import com.lantone.common.exception.Asserts;
import com.lantone.common.util.StringUtil;
import com.lantone.common.vo.analyze.QueryVo;
import com.lantone.dblayermbg.entity.HospitalSet;
import com.lantone.dblayermbg.facade.HospitalSetFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.net.URI;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/7/8 11:33
 */
@Component
public class QcClientFacade {

    @Autowired
    private QcServiceClient qcServiceClient;
    @Autowired
    private HospitalSetFacade sysHospitalSetFacade;

    public Response<OutputInfo> extract(QueryVo queryVo) {
        URI uri = getUri(queryVo);
        return qcServiceClient.extract(uri, queryVo);
    }

    public Response<OutputInfo> analyseField(QueryVo queryVo) {
        URI uri = getUri(queryVo);
        return qcServiceClient.analyseField(uri, queryVo);
    }

    private URI getUri(QueryVo queryVo) {
        URI uri = null;
//        String code = "active_profiles_" + SpringContextUtil.getActiveProfile();
        String code = "active_profiles_local";
        String url = "";
        HospitalSet sysHospitalSet
                = sysHospitalSetFacade.getOne(new QueryWrapper<HospitalSet>()
                        .eq("is_deleted", IsDeleteEnum.N.getKey())
                        .eq("hospital_id", Long.valueOf(queryVo.getHospitalId()))
                        .eq("code", code)
                , false);
        if (null != sysHospitalSet
                && StringUtil.isNotBlank(sysHospitalSet.getVal())) {
            url = sysHospitalSet.getVal();
        }
        if (StringUtil.isBlank(url)) {
            Asserts.fail("配置表内找不到评分接口地址数据！");
        }
        try {
//            uri = new URI(url);
            uri = new URI("http://localhost:6010");
        } catch (Exception e) {
            Asserts.fail("各自业务错误");
        }
        return uri;
    }
}
