package com.lantone.report.client;


import com.lantone.common.dto.RespDTO;
import com.lantone.common.dto.analyze.AnalyzeDTO;
import com.lantone.common.vo.report.QcresultVO;
import com.lantone.report.client.hystrix.MedAppealExamineInfoServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @description: 申诉功能远程调用
 * @author: zhoutg
 * @date: 2020/4/13 18:28
 */
@FeignClient(name = "gateway-service", url = "${appeal.address}", fallback = MedAppealExamineInfoServiceHystrix.class)
public interface MedAppealExamineInfoServiceClient {
    /**
     *新增质控条目
     * @param qcresultVO
     * @return
     */
    @PostMapping(value = "/qc/behospitalInfo/addCase")
    RespDTO<AnalyzeDTO> addCase(@RequestBody QcresultVO qcresultVO);

    /**
     * 删除质控条目
     * @param qcresultVO
     * @return
     */
    @PostMapping(value = "/qc/behospitalInfo/delCase")
    RespDTO<AnalyzeDTO> delCase(@RequestBody QcresultVO qcresultVO);

    /**
     *逻辑删除质控条目
     * @param qcresultVO
     * @return
     */
    @PostMapping(value = "/qc/behospitalInfo/logicDelCase")
    RespDTO<AnalyzeDTO> logicDelCase(@RequestBody QcresultVO qcresultVO);

    /**
     *修改质控条目
     * @param qcresultVO
     * @return
     */
    @PostMapping(value = "/qc/behospitalInfo/updCase")
    RespDTO<AnalyzeDTO> updCase(@RequestBody QcresultVO qcresultVO);

}



