package com.lantone.report.client.hystrix;



import com.lantone.common.dto.RespDTO;
import com.lantone.common.dto.analyze.AnalyzeDTO;
import com.lantone.common.vo.report.QcresultVO;
import com.lantone.report.client.MedAppealExamineInfoServiceClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 申诉远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class MedAppealExamineInfoServiceHystrix implements MedAppealExamineInfoServiceClient {

    @Override
    public RespDTO<AnalyzeDTO> addCase(@RequestBody QcresultVO qcresultVO) {
        log.error("【hystrix】调用{}异常", "addCase");
        return null;
    }

    @Override
    public RespDTO<AnalyzeDTO> delCase(@RequestBody QcresultVO qcresultVO) {
        log.error("【hystrix】调用{}异常", "delCase");
        return null;
    }

    @Override
    public RespDTO<AnalyzeDTO> logicDelCase( @RequestBody QcresultVO qcresultVO) {
        log.error("【hystrix】调用{}异常", "logicDelCase");
        return null;
    }

    @Override
    public RespDTO<AnalyzeDTO> updCase(@RequestBody QcresultVO qcresultVO) {
        log.error("【hystrix】调用{}异常", "updCase");
        return null;
    }
}
