package com.lantone.report.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.lantone.common.dto.report.StrAdmissionNoteDTO;
import com.lantone.common.enums.IsDeleteEnum;
import com.lantone.common.util.BeanUtil;
import com.lantone.common.util.DateUtil;
import com.lantone.common.util.SysUserUtils;
import com.lantone.common.vo.report.DataEditVO;
import com.lantone.dblayermbg.entity.report.AdmissionNote;
import com.lantone.dblayermbg.service.report.AdmissionNoteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:wangsy
 * @time: 2021/08/14 11:37
 */
@Component
public class DataEditFacade {

    @Autowired
    @Qualifier("admissionNoteServiceImpl")
    AdmissionNoteService admissionNoteServiceImpl;

    /**
     * 数据检索
     */
    public StrAdmissionNoteDTO dataSearch() {
        Long hospitalId = Long.valueOf(SysUserUtils.getCurrentHospitalId());
        AdmissionNote strAdmissionNote= admissionNoteServiceImpl.getBaseMapper().selectOne(new QueryWrapper<AdmissionNote>()
                .eq("hospital_id", hospitalId)
                .eq("remark", hospitalId + "N")
                .select("rec_id", "whole_data"));
        StrAdmissionNoteDTO strAdmissionNoteDTO = new StrAdmissionNoteDTO();
        BeanUtil.copyProperties(strAdmissionNote,strAdmissionNoteDTO);
        strAdmissionNoteDTO.setModeId("200");
        return strAdmissionNoteDTO;
    }



    /**
     * 更新数据
     *
     * @param dataEditVO
     * @return
     */
    public Boolean saveDataEditFacade(DataEditVO dataEditVO) {
        return admissionNoteServiceImpl.update(new UpdateWrapper<AdmissionNote>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", SysUserUtils.getCurrentHospitalId())
                .eq("rec_id", dataEditVO.getRecId())
                .set("whole_data", dataEditVO.getWholeData())
                .set("gmt_modified", DateUtil.now())
                .set("modifier", SysUserUtils.getCurrentHospitalId())
        );
    }

}
