package com.lantone.report.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.RespDTO;
import com.lantone.common.dto.appeal.GetAppealInfoDTO;
import com.lantone.common.dto.appeal.GetAuditDTO;
import com.lantone.common.dto.appeal.GetAppealReviewDTO;
import com.lantone.common.dto.appeal.GetComplaintRecordDTO;
import com.lantone.common.vo.appeal.*;
import com.lantone.report.facade.MedAppealExamineInfoManagementFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 申诉审核 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
@RestController
@RequestMapping("/medAppealExamineInInfoManage")
@Api(value = "申诉审核数据模块相关接口API", tags = { "申诉审核数据模块相关接口API" })
public class MedAppealExamineInfoManagementController {
    @Autowired
    MedAppealExamineInfoManagementFacade medAppealExamineInfoManagementFacade;

    @ApiOperation(value = "获取申述记录列表[by:zhanghang]",
            notes = "获取申述记录列表")
    @PostMapping("/getComplaintRecord")
    public RespDTO<GetComplaintRecordDTO> getComplaintRecord(@RequestBody GetComplaintRecordVO getComplaintRecordVO) {
        IPage<GetComplaintRecordDTO> complaintRecord = medAppealExamineInfoManagementFacade.getComplaintRecord(getComplaintRecordVO);
        return RespDTO.onSuc(complaintRecord);
    }
    @ApiOperation(value = "获取申诉审核列表[by:zhanghang]",
            notes = "获取申诉审核列表")
    @PostMapping("/getAppealReview")
    public RespDTO<GetAppealReviewDTO> getAppealReview(@RequestBody GetAppealReviewVO getAppealReviewVO) {
        IPage<GetAppealReviewDTO> appealReview = medAppealExamineInfoManagementFacade.getAppealReview(getAppealReviewVO);
        return RespDTO.onSuc(appealReview);
    }
    @ApiOperation(value = "审核获取申述详情[by:zhanghang]",
            notes = "审核获取申述详情")
    @PostMapping("/getAudit")
    public RespDTO<GetAuditDTO> getAudit(@RequestBody GetAuditVO getAuditVO) {
        GetAuditDTO audit = medAppealExamineInfoManagementFacade.getAudit(getAuditVO);
        return RespDTO.onSuc(audit);
    }
/*    @ApiOperation(value = "审核通过[by:zhanghang]",
            notes = "审核通过")
    @PostMapping("/approved")
    @Transactional
    public RespDTO<Boolean> approved(@RequestBody ApprovedVo approvedVo) {
       return RespDTO.onSuc(medAppealExamineInfoManagementFacade.approved(approvedVo));
    }*/
    @ApiOperation(value = "驳回[by:zhanghang]",
            notes = "驳回")
    @PostMapping("/rejected")
    @Transactional
    public RespDTO<Boolean> rejected(@RequestBody RejectedVo rejectedVo) {
        return RespDTO.onSuc(medAppealExamineInfoManagementFacade.rejected(rejectedVo));
    }
    @ApiOperation(value = "审核查看[by:zhanghang]",
            notes = "审核查看")
    @PostMapping("/getApprovedView")
    public RespDTO<GetAppealInfoDTO> getApprovedView(@RequestBody GetApprovedViewVO getApprovedViewVO) {
        return RespDTO.onSuc(medAppealExamineInfoManagementFacade.getApprovedView(getApprovedViewVO));
    }

    @ApiOperation(value = "获取待审核数量[by:zhanghang]",
            notes = "获取待审核数量")
    @PostMapping("/getAuditNumber")
    public RespDTO<Integer> getAuditNumber(@RequestBody GetAuditNumberVO getAuditNumberVO) {
        Integer complaintRecord = medAppealExamineInfoManagementFacade.getAuditNumber(getAuditNumberVO);
        return RespDTO.onSuc(complaintRecord);
    }

}
