package com.lantone.report.web;
import com.lantone.common.api.CommonResult;
import com.lantone.common.vo.report.DataImportVO;
import com.lantone.report.facade.PublicMaintenanceFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.validation.Valid;


/**
 * <p>
 * 公共数据维护相关API
 * </p>
 *
 * @author zhaops
 * @since 2020-04-27
 */

@RestController
@RequestMapping("/console")
@Api(value = "公共数据维护相关API", tags = { "公共数据维护相关API" })
@SuppressWarnings("unchecked")
public class PublicMaintenanceController {
    @Autowired
    private PublicMaintenanceFacade publicMaintenanceFacade;

    @ApiOperation(value = "导入数据【更新数据，单条执行，效率低，备用】[by:zhoutg]")
    @PostMapping("/dataimportPrepare")
    @Transactional
    public CommonResult<Boolean> dataimportPrepare(@RequestBody @Valid DataImportVO dataImportVO) {
        Boolean data = publicMaintenanceFacade.dataImportPrepareFacade(dataImportVO);
        return CommonResult.success(data);
    }

    @ApiOperation(value = "导入数据【全部删除，全部新增，效率高】[by:zhoutg]")
    @PostMapping("/import")
    @Transactional
    public CommonResult<Boolean> dataimport(@RequestBody @Valid DataImportVO dataImportVO) {
        Boolean data = publicMaintenanceFacade.dataImportFacade(dataImportVO);
        return CommonResult.success(data);
    }
}
