/*
package com.lantone.report.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.api.CommonResult;
import com.lantone.common.dto.report.CheckDeptDTO;
import com.lantone.common.dto.report.CheckJobDTO;
import com.lantone.common.dto.report.CheckWorkDTO;
import com.lantone.common.dto.report.CheckedRecordListDTO;
import com.lantone.common.vo.report.CheckJobPageVO;
import com.lantone.common.vo.report.CheckWorkPageVO;
import com.lantone.common.vo.report.CheckedRecordListVO;
import com.lantone.common.vo.report.DistributionJobVO;
import com.lantone.common.vo.report.MedCheckWorkAddVO;
import com.lantone.common.vo.report.RecordCheckVO;
import com.lantone.report.facade.QcCheckFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;


*/
/**
 * <p>
 * 质控核查管理相关API
 * </p>
 *
 * @author zhaops
 * @since 2020-04-27
 *//*


@RestController
@RequestMapping("/qc")
@Api(value = "质控核查管理相关API", tags = { "质控核查管理相关API" })
@SuppressWarnings("unchecked")
public class QcCheckController {
    @Autowired
    private QcCheckFacade qcCheckFacade;

    @ApiOperation(value = "获取患者病历列表[by:wangsy]")
    @PostMapping("/medCheckWork/getUserList")
    public CommonResult<IPage<CheckWorkDTO>> checkWorkPage(@RequestBody CheckWorkPageVO checkWorkPageVO) {
        IPage<CheckWorkDTO> data = qcCheckFacade.pageFac(checkWorkPageVO);
        return CommonResult.success(data);
    }

    @ApiOperation(value = "生成/取消核查任务[by:wangsy]")
    @PostMapping("/medCheckWork/addCheckWork")
    public CommonResult<Boolean> addCheckTask(@RequestBody MedCheckWorkAddVO medCheckWorkVO) {
        Boolean res = qcCheckFacade.addCheckWork(medCheckWorkVO);
        return CommonResult.success(res);
    }

    @ApiOperation(value = "分配核查任务--获取待分配核查任务列表[by:songxl]" )
    @PostMapping("/medCheckInfo/getCheckList")
    public CommonResult<IPage<CheckJobDTO>> getCheckList(@RequestBody CheckJobPageVO checkJobPageVO) {
        IPage<CheckJobDTO> userInfos = qcCheckFacade.getUserCheckList(checkJobPageVO);
        return CommonResult.success(userInfos);
    }

    @ApiOperation(value = "分配核查任务--获取核查人员列表[by:songxl]",
            notes = "获取核查人员列表")
    @PostMapping("/medCheckInfo/getCheckUserMap")
    public CommonResult<Map<String, List<CheckDeptDTO>>> getCheckUserMap() {
        Map<String, List<CheckDeptDTO>> userInfoMap = qcCheckFacade.getCheckUserMap();
        return CommonResult.success(userInfoMap);
    }

    @ApiOperation(value = "分配核查任务--获取指定核查人员的核查任务[by:songxl]")
    @PostMapping("/medCheckInfo/getCheckListByUserId")
    public CommonResult<IPage<CheckJobDTO>> getCheckListByUserId(@RequestBody CheckJobPageVO checkJobVO) {
        IPage<CheckJobDTO> userInfos = qcCheckFacade.getCheckListByUserId(checkJobVO);
        return CommonResult.success(userInfos);
    }

    @ApiOperation(value = "分配核查任务--分配/取消核查任务[by:songxl]")
    @PostMapping("/medCheckInfo/updateDistributionCheck")
    public CommonResult<Boolean> distributionJobs(@RequestBody DistributionJobVO distributionJobVO) {
        return CommonResult.success(qcCheckFacade.distributionJobs(distributionJobVO));
    }

    @ApiOperation(value = "获取核查任务列表[by:rengb]")
    @PostMapping("/recCheck/checkedRecordList")
    public CommonResult<IPage<CheckedRecordListDTO>> checkedRecordList(@RequestBody CheckedRecordListVO checkedRecordListVO) {
        IPage<CheckedRecordListDTO> data = qcCheckFacade.checkedRecordList(checkedRecordListVO);
        return CommonResult.success(data);
    }

    @ApiOperation(value = "获取核查任务来源[by:songxl]")
    @PostMapping("/recCheck/getCheckType")
    public CommonResult<Map<String, Object>> getCheckType() {
        Map<String, Object> data = qcCheckFacade.getCheckType();
        return CommonResult.success(data);
    }

    @ApiOperation(value = "病历核查[by:rengb]")
    @PostMapping("/recCheck/recordCheck")
    @Transactional
    public CommonResult<Boolean> recordCheck(@RequestBody RecordCheckVO recordCheckVO) {
        Boolean res = qcCheckFacade.recordCheck(recordCheckVO);
        return  CommonResult.success(res);
    }

    @ApiOperation(value = "质控核查--生成患者病历类型[by:songxl]",
            notes = "生成患者病历类型 <br>" +
                    "备注：如果历史患者病历类型已经生成，接口只会筛选当前时间前半个小时入院患者生成类型")
    @PostMapping("/medCheckInfo/createMedBeHospitalInfoType")
    public CommonResult<Boolean> createMedBeHospitalInfoType() {
        return CommonResult.success(qcCheckFacade.createMedBeHospitalInfoType());
    }
}
*/
