package com.lantone.security.component;

import com.lantone.dblayermbg.facade.DataAuthFacade;
import com.lantone.dblayermbg.facade.ResourceFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @Description: 资源与角色访问对应关系操作组件
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Component
public class ResourceRoleRulesHolder {

    @Autowired
    private ResourceFacade resourceFacade;
    @Autowired
    private DataAuthFacade dataAuthFacade;

    /**
     * 预加载所有权限
     */
    @PostConstruct
    public void initResourceRolesMap() {
        //预加载功能权限
        resourceFacade.initResourceRolesMap();
        //预加载数据权限
        dataAuthFacade.initUserDataAuth();
    }

}