package com.lantone.security.service;

import com.lantone.common.api.CommonResult;
import com.lantone.common.dto.AbnormalLogDTO;
import com.lantone.common.dto.LoginLogDTO;
import com.lantone.common.dto.OperationLogDTO;
import com.lantone.common.dto.SendToTopicDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @Description: 消息服务远程调用
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@FeignClient("message-service")
public interface MessageService {

    @PostMapping("/redisRefresh")
    CommonResult redisRefresh(String type);

    @PostMapping("/loginLogHandle")
    CommonResult loginLogHandle(LoginLogDTO loginLog);

    @PostMapping("/operationLogHandle")
    CommonResult operationLogHandle(OperationLogDTO operationLog);

    @PostMapping("/abnormalLogHandle")
    CommonResult abnormalLogHandle(AbnormalLogDTO abnormalLogDTO);

    @PostMapping("/backSample/sendToTopic")
    CommonResult sendToTopic(List<SendToTopicDTO> sendToTopics);

}